<?php
/*                                                       */
/* listing.php - Reservations like date listing admin    */
/* $ID 182 - 2024-03-18 - brom $                         */
/*                                                       */
/* BROM CMS/BelCal Project  <http://www.brom-belcal.de>  */
/*                                                       */
/* BROM CMS/BelCal is software you can redistribute it   */
/* under the terms the BROM CMS/BelCal license for free  */
/* and modify scripts but without warranty. It is not    */
/* redistributable for payment.                          */
/*                                                       */
/* A distribution of payment will be provided            */
/* exclusively by BROM Service see website or send mail. */
/*                                                       */
/* (c) by BROM-Service 2008  (kontakt@brom-belcal.de)    */
/*                                                       */

// Include config file
require('../../config/config.php');
/*
if(!function_exists('shortText')){
	function shortText($txt,$lenght){
		$txtuml = entities_to_umlauts($txt);
		if(strlen($txtuml)>$lenght){
			$txt = substr($txtuml,0,$lenght)."...";
			$string_end = strrchr($txt, " ");
			$txt = str_replace($string_end," ...", $txt);
		}
		return umlauts_to_entities($txt);
	}
}
*/
require_once(BC_PATH.'/lib/classes/class.admin.php');
// Make sure user are allowed to access calendar and create new admin object
$admin = new admin('Reservations', 'reservations_view','system');
// we need here for the display address converting the umlauts
require_once(BC_PATH.'/lib/functions.php');
// Get calendar as function in separate file:
require_once(BC_PATH.'/modules/calendar/calc_functions.php');
require_once(ADMIN_PATH.'/reservations/buildcalendar.php');
require_once(BC_PATH.'/admin/reservations/paycontrol.php');
// check the field deleted in ressbilling detail
$isfield = false;
$isfield2 = false;
$have_resbilling = false;
$backlist = 6;
if($datapdo->numRows($datapdo->query("SHOW TABLES LIKE '".TABLE_PREFIX."resbilling_detail'"))>0){
  $have_resbilling = true;
}
if($admin->get_permission('resbilling')){
  // Get the resbilling tables allraedy exists
  if($datapdo->numRows($datapdo->query("SHOW TABLES LIKE '".TABLE_PREFIX."resbilling_det%'"))>0){
    if($get_fields = $datapdo->query("SHOW FIELDS FROM `".TABLE_PREFIX."resbilling_detail`")){
      while($row = $datapdo->fetchRow($get_fields)){
        if($row[0]=='deleted'){ $isfield = true; }
      }
    }
    if($isfield == false){ $datapdo->query("ALTER TABLE `".TABLE_PREFIX."resbilling_detail` ADD `deleted` TINYINT(1) NOT NULL"); }
  }
  if($datapdo->numRows($datapdo->query("SHOW TABLES LIKE '".TABLE_PREFIX."resbilling_set%'"))>0){
    if($get_field = $datapdo->query("SHOW FIELDS FROM `".TABLE_PREFIX."resbilling_settings`")){
      while($row = $datapdo->fetchRow($get_field)){
        if($row[0]=='roundprice'){ $isfield2 = true; }
      }
    }
    if($isfield2 == false){ $datapdo->query("ALTER TABLE `".TABLE_PREFIX."resbilling_settings` ADD `roundprice` TINYINT(1) NOT NULL"); }
  }
}
$theme_url = (!defined('ADMIN_THEME')?ADMIN_URL:ADMIN_URL.ADMIN_THEME);
$theme_path = str_replace(ADMIN_URL,ADMIN_PATH,$theme_url);
$isnewfields = array('covid'=>0,'covidnotice'=>0,'savedate'=>0,'view_users'=>0,'canceled'=>0);
$get_fields = $datapdo->query("SHOW FIELDS FROM `".TABLE_PREFIX."reservations`");
while($row = $datapdo->fetchRow($get_fields)){
  if($row[0]=='covid'){ $isnewfields['covid'] = 1; }
  if($row[0]=='covidnotice'){ $isnewfields['covidnotice'] = 1; }
}
$get_fields = $datapdo->query("SHOW FIELDS FROM `".TABLE_PREFIX."res_files`");
while($row = $datapdo->fetchRow($get_fields)){
  if($row[0]=='savedate'){ $isnewfields['savedate'] = 1; }
  if($row[0]=='view_users'){ $isnewfields['view_users'] = 1; }
  if($row[0]=='canceled'){ $isnewfields['canceled'] = 1; }
}
foreach($isnewfields AS $fld_key => $fldvalue){
  if($fldvalue == 1){ continue 1; }
  switch ($fld_key){
    // new field in version 4.062
    case 'savedate':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."res_files` ADD `savedate` INT NOT NULL");
      break;
    // new field in version 4.065
    case 'covid':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."reservations` ADD `covid` TINYINT(1) NOT NULL AFTER `confirm`");
      break;
    // new field in version 4.067
    case 'covidnotice':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."reservations` ADD `covidnotice` TEXT NOT NULL AFTER `covid`");
      break;
    case 'view_users':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."res_files` ADD `view_users` VARCHAR(255) NOT NULL DEFAULT '1,g1,g2' AFTER `savedate`");
      break;
    case 'canceled':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."res_files` ADD `canceled` TINYINT(1) NOT NULL AFTER `savedate`");
      break;
  }
}
// Check the table res_archive and fill the old reservations
// $resarchive = "CREATE TABLE IF NOT EXISTS `".TABLE_PREFIX."res_archive` LIKE `".TABLE_PREFIX."reservations`";
// $datapdo->query($resarchive);
// Insert now in the res_archive the old reservations
$get_lastoldres = $datapdo->query("SELECT `res_end` FROM `".TABLE_PREFIX."res_archive` ORDER BY `res_end` DESC LIMIT 0,1");
$time30d = time()-(30*60*60*24);   // For listing the reservations 30 days ago by default
$time31d = time()-(370*60*60*24);   // For move the reservations to archive 370 days ago
$whereArchSQL = "`res_end`<'$time31d'";
if($datapdo->numRows($get_lastoldres)>0){
  $lastoldres = $datapdo->fetchRow($get_lastoldres);
  $lastarchivedate = $lastoldres['res_end'];
  $whereArchSQL .= " AND `res_end`>'$lastarchivedate'";
}
// Delete first all reservations have not a date bug closed from 05.01.2009 / modified 14.11.2011
$get_null_res = $datapdo->query("SELECT `res_id` FROM `".TABLE_PREFIX."reservations` WHERE `res_start` = '0' AND `res_end` = '0'");
if($datapdo->numRows($get_null_res)>0){
  while($null_res = $datapdo->fetchRow($get_null_res)){
    $null_res_id = $null_res['res_id'];
    $datapdo->query("DELETE FROM `".TABLE_PREFIX."reservations` WHERE `res_id` = '$null_res_id' LIMIT 1");
    $datapdo->query("DELETE FROM `".TABLE_PREFIX."res_invoice` WHERE `res_id` = '$null_res_id'");
    $datapdo->query("DELETE FROM `".TABLE_PREFIX."res_price_calc` WHERE `res_id` = '$null_res_id' LIMIT 1");
  }
}
$archiveinsert = "INSERT IGNORE INTO `".TABLE_PREFIX."res_archive` SELECT * FROM `".TABLE_PREFIX."reservations` WHERE ".$whereArchSQL;
$datapdo->query($archiveinsert);
// Detele now the reservations they are copied from reservations
$datapdo->query("DELETE FROM `".TABLE_PREFIX."reservations` WHERE ".$whereArchSQL);
$datapdo->query( "OPTIMIZE TABLE `".TABLE_PREFIX."reservations`");

// Check first we more then one bills for reservation or not canceled bil before storno
$get_bills = $datapdo->query("SELECT `res_id`,`rfile_id` FROM `".TABLE_PREFIX."res_files` WHERE `tpl`='5' ORDER BY `res_id` ASC, `rfile_id` ASC");
if($datapdo->numRows($get_bills)>0){
  while($res = $datapdo->fetchRow($get_bills)){
    $resid = $res['res_id'];
    $rfid = $res['rfile_id'];
    $datapdo->query("UPDATE `".TABLE_PREFIX."res_files` SET `canceled`='1' WHERE `res_id`='$resid' AND `tpl`='3' AND `rfile_id`<'$rfid'");
  }
}
$get_bills = $datapdo->query("SELECT `res_id`,`rfile_id` FROM `".TABLE_PREFIX."res_files` WHERE `tpl`='3' AND `canceled`='0' ORDER BY `res_id` ASC, `rfile_id` DESC");
$m_resid = 0;
if($datapdo->numRows($get_bills)>1){
  while($res = $datapdo->fetchRow($get_bills)){
    $resid = $res['res_id'];
    $rfid = $res['rfile_id'];
    $datapdo->query("UPDATE `".TABLE_PREFIX."res_files` SET `canceled`='1' WHERE `res_id`='$resid' AND `tpl`='3' AND `rfile_id`<'$rfid'");
  }
}

$theme_url = (!defined('ADMIN_THEME')?ADMIN_URL:ADMIN_URL.ADMIN_THEME);
// set the redirect url to listing
$_SESSION['COMEFROM_URL'] = ADMIN_URL.'/reservations/listing.php';
// Set permissions for calendar and reservations check it
$DISPLAY_MOD = '';
$DISPLAY_ADD = '';
$DISPLAY_DEL = '';
$DISPLAY_OLD_DEL = '';
$mod_yes = true;
$modold_yes = false;
$view_address = true;
$del_yes = true;
$storno_disabled = '';
if(!$admin->get_permission('address_view', 'system')){ $view_address = false; }
if(!$admin->get_permission('reservations_modify', 'system')){ $DISPLAY_MOD = 'hide'; $mod_yes = false; }
if($admin->get_permission('reservations_modifyold', 'system')){ $modold_yes = true; }
if(!$admin->get_permission('reservations_add', 'system')){ $DISPLAY_ADD = 'hide'; }
if(!$admin->get_permission('reservations_delete', 'system')){ $DISPLAY_DEL = 'hide'; $storno_disabled = ' disabled'; $DISPLAY_OLD_DEL = 'hide'; $del_yes = false; }
if(LANGUAGE != 'EN'){ $dec_point = ','; $thousends = '.'; }else{ $dec_point = '.'; $thousends = ','; }
// Get language from calendar
if(!file_exists(BC_PATH .'/modules/calendar/languages/'.LANGUAGE .'.php')) {
  // no module language file exists for the language set by the user, include default module language file EN.php
  require(BC_PATH .'/modules/calendar/languages/EN.php');
}
else {
  // a module language file exists for the language defined by the user, load it
  require(BC_PATH .'/modules/calendar/languages/'.LANGUAGE .'.php');
}
if(file_exists(BC_PATH .'/modules/calendar/languages/user_'.LANGUAGE .'.php')) {
  require(BC_PATH .'/modules/calendar/languages/user_'.LANGUAGE .'.php');
}
// Get addresses sorting
$user_id = $admin->get_user_id();
$sorting = $datapdo->get_one("SELECT `adr_sort` FROM `".TABLE_PREFIX."users` WHERE `user_id`='$user_id' LIMIT 1");

// Set filtering for user allowed reservations
$get_all_objects = $datapdo->query("SELECT * FROM `".TABLE_PREFIX."sections` WHERE `module`='calendar'");
$res_sql = '';
$sect_ids = array();
$havepaycontrol = false;
// Include the check of filter is set
include(ADMIN_PATH.'/reservations/filtercheck.php');
/*
if($datapdo->numRows($get_all_objects) > 0){
  while($mod_cal = $datapdo->fetchRow($get_all_objects)){
    $this_admins = $datapdo->get_one("SELECT `admin_users` FROM `".TABLE_PREFIX."objects` WHERE `object_id`='".$mod_cal['object_id']."' LIMIT 1");
    $all_admins = explode(',',$this_admins);
    $display_paymentcontrol = 0;
    if(!is_numeric(array_search($admin->get_user_id(),$all_admins))){ continue; }
    if($datapdo->numRows($datapdo->query("SELECT `paycontrol` FROM `".TABLE_PREFIX."res_paymentset` WHERE `object_id`='".$mod_cal['object_id']."' LIMIT 0,1"))>0){
      $display_paymentcontrol = $datapdo->get_one("SELECT `paycontrol` FROM `".TABLE_PREFIX."res_paymentset` WHERE `object_id`='".$mod_cal['object_id']."' LIMIT 1");
    }
    if($display_paymentcontrol == 1){ $havepaycontrol = true; }
    if(isset($_SESSION['filter']['onlypayment']) AND $_SESSION['filter']['onlypayment']==1 AND $display_paymentcontrol == 0){ continue; }
//    if(isset($_SESSION['filter']['objects']) AND !is_numeric(array_search($mod_cal['object_id'],$_SESSION['filter']['objects']))){ continue; }
    $res_sql .= ($res_sql != '' ? ' OR ' : '');
    $res_sql .= "r.`section_id`='".$mod_cal['section_id']."'";
    $sect_ids[$mod_cal['section_id']] = $mod_cal['object_id'];
  }
}
// if we have not objects with calendar
if($res_sql == ''){
  $admin->print_error($MESSAGE['OBJECTS']['NOT_FOUND']);
}
// Include the check of filter is set
//include(ADMIN_PATH.'/reservations/filtercheck.php');
*/
$cal_objects = array();
list_cal_obj(0,$cal_objects);
$objects = array();
$importerror = '';
// Include the check of filter is set
$get_all_objects = $datapdo->query("SELECT s.`object_id`,o.`admin_users`,s.`section_id` FROM `".TABLE_PREFIX."sections` AS s,`".TABLE_PREFIX."objects` AS o WHERE s.`module`='calendar' AND o.`visibility`!='deleted' AND o.`object_id`=s.`object_id` ORDER BY o.`level`,o.`position` ASC");
if($datapdo->is_error()){ echo $datapdo->get_error(); }
if($datapdo->numRows($get_all_objects)>0){
  while($all_objects = $datapdo->fetchRow($get_all_objects)){
    $all_admin_users = explode(',', $all_objects['admin_users']);
    if(!is_numeric(array_search($admin->get_user_id(), $all_admin_users))){ continue; }
    $objname = get_obj_name($all_objects['object_id']);
    $obj_importerror = input_ext($all_objects['object_id'],$all_objects['section_id'],1);
    if($obj_importerror != ''){
      $importerror .= ($importerror != ''?'<br />':'').$objname.' - '.$obj_importerror;
    }
    $chkiscalculator = $datapdo->get_one("SELECT `calculator` FROM `".TABLE_PREFIX."calendar` WHERE `object_id`='".$all_objects['object_id']."' LIMIT 1");
    if($chkiscalculator == 1){
      $display_paymentcontrol = $datapdo->get_one("SELECT `paycontrol` FROM `".TABLE_PREFIX."res_paymentset` WHERE `object_id`='".$all_objects['object_id']."' LIMIT 1");
      if($display_paymentcontrol == 1){ $havepaycontrol = true; }
    // if(isset($_SESSION['filter']['onlypayment']) AND $_SESSION['filter']['onlypayment']==1 AND $display_paymentcontrol == 0){ continue; }
    // Get the calendar this object
    // $get_calendar = $datapdo->query("SELECT `object_id`,`section_id` FROM `".TABLE_PREFIX."calendar` WHERE `object_id`='".$all_objects['object_id']."' LIMIT 1");
    // if($datapdo->numRows($get_calendar)>0){
    //  $calendar = $datapdo->fetchRow($get_calendar);
        $cal_objects[$all_objects['object_id']]['section_id'] = $all_objects['section_id'];
        array_push($objects,$all_objects['object_id']);
      }
    // }
  }
  if(count($cal_objects) == 0){
    $admin->print_error($MESSAGE['OBJECTS']['NOT_FOUND'],ADMIN_URL.'/objects/index.php');
  }
  if(count($cal_objects) == 1){ $DISPLAY_SORT = 'none'; }
}
else{
  $admin->print_error($MESSAGE['OBJECTS']['NOT_FOUND'],ADMIN_URL.'/objects/index.php');
}
if(count($objects)==0){
  foreach($cal_objects AS $oK => $oV){
    array_push($objects,$oK);
    $_SESSION['filter']['objects'] = $objects;
    $obj_filter = implode('|',$_SESSION['filter']['objects']);
    $datapdo->query("UPDATE `".TABLE_PREFIX."users` SET `obj_filter`='$obj_filter' WHERE `user_id`='$user_id' LIMIT 1");
  }
}
// Check all selected objects ar in list
if(isset($_SESSION['filter']['objects'])){
  foreach($_SESSION['filter']['objects'] AS $oK => $oV){
    if(!array_key_exists($oV,$cal_objects)){ unset($_SESSION['filter']['objects'][$oK]); }
  }
  $obj_filter = implode('|',$_SESSION['filter']['objects']);
  $datapdo->query("UPDATE `".TABLE_PREFIX."users` SET `obj_filter`='$obj_filter' WHERE `user_id`='$user_id' LIMIT 1");
  $objects = array();
  foreach($_SESSION['filter']['objects'] AS $oK => $oV){ array_push($objects,$oV); }
}
else{
  if(count($cal_objects)<10){
    foreach($cal_objects AS $oK => $oV){ array_push($objects,$oK); }
  }
}
$display_payment = 0;
foreach($objects AS $cID => $oID){
  $sect_ids[$cal_objects[$oID]['section_id']] = $oID;
  if($datapdo->numRows($datapdo->query("SELECT `calculator` FROM `".TABLE_PREFIX."calendar` WHERE `object_id`='$oID' AND `calculator`='1' LIMIT 0,1"))>0){
    $display_payment++;
  }
}
// Include the PopUp-Calendar if availlable
if(file_exists(BC_PATH.'/lib/include/jscalendar/jscal-setup.php')){
  $jscal_use_time = false; // whether to use a clock, too
  $jscal_type = 'backend';
  $holiday = get_holi_jsdays();
  require(BC_PATH.'/lib/include/jscalendar/jscal-setup.php');
  // output the jscalendar include links befor other outputs
  if(BC_VERSION < 3.35){
    echo $jscal_loadlinks;
  }
}
include_once(ADMIN_PATH.'/interface/winopen.inc.php');
// Show the form for filtering
$actionurl = ADMIN_URL.'/reservations/listing.php';
$queryfields = '';
include(ADMIN_PATH.'/reservations/filterfrm.php');
$reservation = array();
if($checkarchive == true){
  // Get all res_archive and output the header
  $query_reservations = "SELECT * FROM `".TABLE_PREFIX."res_archive` AS r LEFT JOIN `".TABLE_PREFIX."address` AS a ON r.`client_id`=a.`client_id` WHERE r.`section_id`>'0'".$filter_sql.$filter_objsql." ORDER BY r.`res_start` ASC";
  $get_reservations = $datapdo->query($query_reservations);
  while($foundreservation = $datapdo->fetchRow($get_reservations)){
    array_push($reservation,$foundreservation);
  }
}
// Get all reservations and output the header
$query_reservations = "SELECT * FROM `".TABLE_PREFIX."reservations` AS r LEFT JOIN `".TABLE_PREFIX."address` AS a ON r.`client_id`=a.`client_id` WHERE r.`section_id`>'0'".$filter_sql.$filter_objsql." ORDER BY r.`res_start` ASC";
$get_reservations = $datapdo->query($query_reservations);
while($foundreservation = $datapdo->fetchRow($get_reservations)){
  array_push($reservation,$foundreservation);
}
//$reservation = $reslist);
$firstdelyear = 0;
if(count($objects)>0){ $listcount = count($reservation); }else{ $listcount = 0; }
if($listcount > 0){ $resfound = true; ?>
  <style type="text/css"><!-- .o_selector{ width:95%; } --></style>
  <script type="text/javascript">
  var scolorbg = new Array();
  function set_res_to_newobject(r,v){
      var id = r+"|"+v;
      $("#noBox").load("<?php echo ADMIN_URL; ?>/reservations/setto_newobject.php?id="+id);
  }
  function show_fileboxlst(divid){
    $(".formInfoBox").hide();
    var link = "<?php echo ADMIN_URL.'/reservations/show_dokus.php?'.($have_resbilling==true?'resbil=1'.ARGSOJS:'').'res='; ?>"+divid;
    if($("#fb"+divid).length){
      $("#fb"+divid).load(link).show();
    }
  };
  </script>
  <table cellpadding="2" cellspacing="0" border="0" align="center" width="100%" height="40" style="margin-bottom: 10px;">
    <tr>
      <td valign="top" align="left">
        <h2><?php echo $TEXT['ADMINISTRATION'].' - '.$TEXT['RESERVATIONS']; ?></h2>
      </td>
      <?php if($mod_yes){ ?>
      <td width="25%">
        <input type="button" name="cal" value="<?php echo $TEXT['SORT_BY'].' '.$TEXT['OBJECT']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/reservations/index.php'" style="width: 99%;" />
      </td>
      <td width="25%">
        <input type="button" name="cal" value="<?php echo $MENU['VIEW'].' '.$TEXT['CALENDAR']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/reservations/calendar.php'" style="width: 99%;" />
      </td>
      <?php }else{ ?>
      <td width="25%">
        <input type="button" name="cal" value="<?php echo $TEXT['SORT_BY'].' '.$TEXT['OBJECT']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/reservations/index.php'" style="width: 99%;" />
      </td>
      <?php } ?>
    </tr>
  </table>
  <?php
  // Include the Setup for PopUp-Calendar
  if(isset($jscal_loaded) AND $jscal_loaded == true){
  //  $jscal_include_script = str_replace('cal.hide()','cal.hide();set_new_days()',$jscal_include_script);
    echo $jscal_include_script;
    ?>
    <script type="text/javascript">
      <?php foreach($jscal_dates as $mydate_field){ ?>
        cal.manageFields("trigger_<?php echo $mydate_field; ?>", "<?php echo $mydate_field; ?>", "<?php echo $jscal_ifformat; ?>");
      <?php } ?>
    </script>
  <?php
  }
  if($importerror!=''){
    echo '<div id="errorimportmsg" style="position:absolute;width:26%;top:50%;left:37%;padding:10px;background:lightgrey;border:1px solid;box-shadow:10px 10px 25px 5px #bbbbbb;text-align:center;">'."\n";
    echo '<p>'.$importerror.'</p>';
    echo '<input type="button" name="importerror" value="OK" style="width:50%" onclick="$(\'#errorimportmsg\').hide();" />';
    echo '</div>'."\n";
  }
  ?>
  <form name="reservations" action="<?php echo ADMIN_URL; ?>/reservations/res_save2.php" method="post">
  <table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">
  <tr>
    <?php if($display_payment > 0 AND $mod_yes){
    echo '<td colspan="11" align="right">';
    }else{
    echo '<td colspan="10" align="right">';
    } ?>
    <strong>
      <a href="<?php echo ADMIN_URL.'/reservations/export.php';?>">
      <?php echo $CALTEXT['PRINT'].' / '.$CALTEXT['EXPORT']; ?>
      </a>
      <?php if($DISPLAY_ADD != 'hide') {
      echo '| <a href="'.ADMIN_URL.'/reservations/import.php">'.$CALTEXT['IMPORT'].'</a>';
      } ?>
      </strong>
    </td>
  </tr>
  <tr>
    <td width="6%">ID</td>
    <td width="12%"><?php echo $TEXT['TERMIN_START']; ?></td>
    <td width="12%"><?php echo $TEXT['TERMIN_END']; ?></td>
    <td width="12%" align="center">
      <?php echo $TEXT['TERMIN_ANZ'].' ('.(substr($CALTEXT['CONTINGENTS'],0,1)).'/'.(substr($CALTEXT['PERSONS'],0,1)).'/'.(substr($CALTEXT['CHILDREN'],0,1).'/*)'); ?>
    </td>
    <?php
    if($display_payment > 0 AND $mod_yes){
      echo '<td colspan=2" style="width:27%;">'.$TEXT['NAME'].' / '.$TEXT['OBJECT'].'</td>';
      echo '<td style="width:11%;text-align:right;">'.$CALTEXT['TOTALPRICE'].'</td>';
    }
    else{
      echo '<td colspan=2" style="width:38%;">'.$TEXT['NAME'].' / '.$TEXT['OBJECT'].'</td>';
    }
    ?>
    <td width="10%"><?php echo $TEXT['TERMIN_STATUS']; ?></td>
    <td colspan="5" width="10%"><?php echo $TEXT['ACTIONS']; ?></td>
  </tr>
  <?php
  $row = 'a';
  $rstatus_0 = 0;
  $rstatus_2 = 0;
  $rstatus_3 = 0;
  $rstatus_4 = 0;
  $rstatus_5 = 0;
  $rstatus_0d = 0;
  $rstatus_2d = 0;
  $rstatus_3d = 0;
  $rstatus_4d = 0;
  $rstatus_5d = 0;
  $rstatus_0p = 0;
  $rstatus_2p = 0;
  $rstatus_3p = 0;
  $rstatus_4p = 0;
  $rstatus_5p = 0;
  $rstatus_0s = 0;
  $rstatus_2s = 0;
  $rstatus_3s = 0;
  $rstatus_4s = 0;
  $rstatus_5s = 0;
  $statistics = (isset($_SESSION['filter']['start'])?$_SESSION['filter']['start']:'');
  $statistice = '';
  $DISPLAY_OLD_DEL = 'hide';   // hide the old delete button for default
//  while($results = $datapdo->fetchRow($get_reservations)){
  $firstdelyear = 0;
  foreach($reservation AS $RK => $results){
    $statistics = ($statistics == ''?convert_date(DATE_FORMAT,$results['res_start']):$statistics);
    $statistice = convert_date(DATE_FORMAT,$results['res_end']);
    if($results['status']==0){ $rstatus_0++; }
    if($results['status']==2){ $rstatus_2++; }
    if($results['status']==3){ $rstatus_3++; }
    if($results['status']==4){ $rstatus_4++; }
    if($results['status']==5){ $rstatus_5++; }
    $time30d = time()-(30*60*60*24);
    if($results['res_end'] < $time30d AND $DISPLAY_DEL != 'hide'){
      // enable the old delete button if a reservation is in old time
      $DISPLAY_OLD_DEL = '';
    }
    $obj_id = $results['object_id'];
    $sec_id = $results['section_id'];
    $res_id = $results['res_id'];
    $DISABLE_CHANGE = '';
    if($have_resbilling==true AND $datapdo->numRows($datapdo->query("SELECT `bildetail_id` FROM `".TABLE_PREFIX."resbilling_detail` WHERE `res_id`='$res_id' LIMIT 0,1"))>0){
      $DISABLE_CHANGE = ' disabled';
    }
    $time30d = time()-(30*60*60*24);
    $time31d = time()-(370*60*60*24);
    if($firstdelyear == 0){ $firstdelyear = date("Y",$results['res_start']); }
    $currres_isinarchive = ($results['res_end'] < $time31d?true:false);
    $res_isarchive = ($currres_isinarchive==true?ARGSO.'res_isarchive=1':ARGSO.'res_isarchive=0');
    $res_isarchiveJS = ($currres_isinarchive==true?ARGSOJS.'res_isarchive=1':ARGSOJS.'res_isarchive=0');
    $plusday = 0;
    $cal_query = $datapdo->query("SELECT `countalldays`,`form_object` FROM `".TABLE_PREFIX."calendar` WHERE `object_id` = '$obj_id' AND `section_id` = '$sec_id'");
    if($datapdo->numRows($cal_query) > 0){
      $cal_settings = $datapdo->fetchRow($cal_query);
      $showdays = $cal_settings['countalldays'];
      $frm_obj = ($cal_settings['form_object']>0?$cal_settings['form_object']:$obj_id);
    }
    // Get display name
    $get_disp_name = $datapdo->query("SELECT `client_id`,`name`,`prename`,`zipcode`,`city`,`email` FROM `".TABLE_PREFIX."address` WHERE `client_id`='".$results['client_id']."' LIMIT 0,1");
    if($datapdo->numRows($get_disp_name)>0){
      $disp_name = $datapdo->fetchRow($get_disp_name);
      $email = $disp_name['email'];
      if($sorting == 1){
        $dispname_temp = $disp_name['prename'].(!empty($disp_name['prename'])?' ':'').$disp_name['name'].(!empty($disp_name['city'])?' - ':'').$disp_name['city'];
      }
      else{
        $dispname_temp = $disp_name['name'].(!empty($disp_name['prename'])?', ':'').$disp_name['prename'].(!empty($disp_name['city'])?' - ':'').$disp_name['city'];;
      }
      $dispname = shortText($dispname_temp,22);
      $dispname_full = $disp_name['client_id'].chr(13).(!empty($disp_name['prename'])?$disp_name['prename'].' ':'').$disp_name['name'].chr(13).$disp_name['zipcode'].' '.$disp_name['city'];
    }
    else{
      $dispname = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."reservations` WHERE `res_id`='".$results['res_id']."' LIMIT 1");
      $dispname = $CALTEXT['IMPORT'].' '.$TEXT['FROM'].' '.$dispname;
      $dispname_full = '';
    }
    // Get the colors for calendar
    $get_colors = $datapdo->query("SELECT `color_0`,`color_2`,`color_3`,`color_3s`,`color_4` FROM `".TABLE_PREFIX."calendar` WHERE `section_id`='$sec_id' LIMIT 1");
    $colors = $datapdo->fetchRow($get_colors);
    $colorid = $results['status'];
    if($colorid > 3){ $colorid = ($colorid == 4?($colorid - 1).'s':$colorid - 1); }
    $selstyle = 'background-color:'.$colors['color_'.$colorid].';';
    if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){
      $DISPLAY_RADIO = '';
    }
    else{ $DISPLAY_RADIO = ' disabled'; }
    // We set the displays to default while hide when not reservations before
    if($mod_yes == true){ $DISPLAY_MOD = ''; }
    if($del_yes == true){ $DISPLAY_DEL = ''; }
    ?>
    <tr class="row_<?php echo $row; ?>" height="20" onmouseover="this.className = 'row_c';" onmouseout="this.className = 'row_<?php echo $row; ?>'">
      <td width="6%">
        <?php
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){ ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $obj_id.ARGSO; ?>section_id=<?php echo $sec_id.ARGSO; ?>res_id=<?php echo $res_id.$res_isarchive; ?>">
        <?php }
        if(method_exists($admin, 'zero_to_number')){ echo $admin->zero_to_number($results['res_id']); }
        else{ echo str_pad($results['res_id'],5,'0',STR_PAD_LEFT); }
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){ ?>
        </a>
        <?php } ?>
      </td>
      <td width="12%">
        <?php
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){ ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $obj_id.ARGSO; ?>section_id=<?php echo $sec_id.ARGSO; ?>res_id=<?php echo $res_id.$res_isarchive; ?>" title="<?php echo date('d.m.Y H:i',$results['res_start']); ?>">
        <?php }
        echo (date('N',$results['res_start'])==7?'<span style="color:red;">':'').convert_day_month_to_str('daystr',date('N',$results['res_start'])).(date('N',$results['res_start'])==7?'</span>':'').', '.date('d.m.Y',$results['res_start']);
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){ ?>
        </a>
        <?php } ?>
      </td>
      <td width="12%">
        <?php
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){ ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $obj_id.ARGSO; ?>section_id=<?php echo $sec_id.ARGSO; ?>res_id=<?php echo $res_id.$res_isarchive; ?>" title="<?php echo date('d.m.Y H:i',$results['res_end']); ?>">
        <?php }
        echo (date('N',$results['res_end'])==7?'<span style="color:red;">':'').convert_day_month_to_str('daystr',date('N',$results['res_end'])).(date('N',$results['res_end'])==7?'</span>':'').', '.date('d.m.Y',$results['res_end']);
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){ ?>
        </a>
        <?php } ?>
      </td>
      <td align="center">
        <?php
        $cal_time_from = date('Gi',$results['res_start']);
        $cal_time_to = date('Gi',$results['res_end']);
        $plusday = 0;
        $print_cont = $results['contingent'];
        $print_pers = ($results['persons']>0?$results['persons']:'-');
        $print_child = ($results['children']>0?$results['children']:'-');
        $print_fullpers = $results['persons']+$results['children'];
        if($showdays==1 AND $cal_time_from > $cal_time_to){ $plusday = 1; }
        if($showdays==0 AND $cal_time_to > $cal_time_from){ $plusday = -1; }
        if($ANZ=$results['res_end']-$results['res_start']){
          $print_anz = (ceil( $ANZ / 86400))+$plusday;
          switch ($results['status']){
            case '0':
              $rstatus_0d += $print_anz;
              $rstatus_0p += $print_fullpers;
              $rstatus_0s += ($print_anz*$print_fullpers);
              break;
            case '2':
              $rstatus_2d += $print_anz;
              $rstatus_2p += $print_fullpers;
              $rstatus_2s += ($print_anz*$print_fullpers);
              break;
            case '3':
              $rstatus_3d += $print_anz;
              $rstatus_3p += $print_fullpers;
              $rstatus_3s += ($print_anz*$print_fullpers);
              break;
            case '4':
              $rstatus_4d += $print_anz;
              $rstatus_4p += $print_fullpers;
              $rstatus_4s += ($print_anz*$print_fullpers);
              break;
            case '5':
              $rstatus_5d += $print_anz;
              $rstatus_5p += $print_fullpers;
              $rstatus_5s += ($print_anz*$print_fullpers);
              break;
          }
        }
        else{
          $print_anz = '--';
        }
        // Get the texts for more field this object
        $moretxt = '';
        // Get the texts for more field this object
        $get_morelabels = $datapdo->query("SELECT f.`field_id`,f.`field_name`,l.`field_label`,l.`field_extra` FROM `".TABLE_PREFIX."form_labels` AS l LEFT JOIN `".TABLE_PREFIX."forms` AS f ON l.`field_id`=f.`field_id` WHERE f.`object_id`='$frm_obj' AND (f.`field_name`='MORE' OR f.`forprices`='1') AND f.`active`='1' AND l.`language`='".LANGUAGE."'");
        if($datapdo->numRows($get_morelabels)>0){
          while($morelabels = $datapdo->fetchRow($get_morelabels)){
            $old_mores = array();
            $fld = $morelabels['field_id'];
            $fname =  $morelabels['field_name'];
            $fextras = explode('|',$morelabels['field_extra']);
            $flabel = $morelabels['field_label'];
            if($results['more']!=''){
              if($oldarray = @unserialize($results['more'])){
                if(!isset($oldarray[$fld])){ $oldarray[$fld] = ''; }
                $old_mores = explode('|',$oldarray[$fld]);
              }
              else{ $old_mores = ($fname=='MORE'?explode('|',$results['more']):array()); }
            }
            if(count($old_mores)>0){
              foreach($fextras As $k => $v){
                if(is_numeric(array_search($k,$old_mores))){
                  $moretxt .= chr(13).$v.(is_numeric($v)?' '.$flabel:'');
                }
              }
            }
          }
        }
        $print_box = $print_anz.' '.$TEXT['TERMIN_ANZ'];
        $print_box .= chr(13).$print_cont.$CALTEXT['CONTINGENTS'];
        $print_box .= ($results['persons']>0?chr(13).$print_pers.' '.$CALTEXT['PERSONS']:'');
        $print_box .= ($results['children']>0?chr(13).$print_child.' '.$CALTEXT['CHILDREN']:'');
        $print_box .= $moretxt;
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){
          echo '<a title="'.$print_box.'" href="'.ADMIN_URL.'/reservations/res_modify.php?object_id='.$obj_id.ARGSO.'section_id='.$sec_id.ARGSO.'res_id='.$res_id.$res_isarchive.'">';
        }
        echo $print_anz.' ('.$print_cont.'/'.$print_pers.'/'.$print_child.(!empty($moretxt)?'/*':'/-').')';
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){
          echo '</a>';
        }
         ?>
      </td>
      <?php
      $tdforprice = '';
      $fixstyle = '';
      if($display_payment > 0 AND $mod_yes){
        $width_no = '25%'; $width_pr = '11%';
        $tdforprice .= '<td style="width:'.$width_pr.';text-align:right;">';
        $price_unit = $datapdo->get_one("SELECT `p_unit` FROM `".TABLE_PREFIX."res_price_sets` WHERE `section_id`='".$results['section_id']."' LIMIT 1");
        $get_old_prices = $datapdo->query("SELECT `total_price`,`paid_price`,`fixed_price`,`storno_price`,`package` FROM `".TABLE_PREFIX."res_price_calc` WHERE `res_id`='$res_id' AND `total_price`>'0' LIMIT 1");
        if($datapdo->numRows($get_old_prices) > 0){
          $old_prices = $datapdo->fetchRow($get_old_prices);
          $ext_price = get_external($res_id);
          $old_total = ($old_prices['total_price']-$ext_price);
          $tp_str = number_format($old_total,2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
          $pp_str = number_format($old_prices['paid_price'],2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
          $op_num = $old_total - $old_prices['paid_price'];
          $fixstyle = '';
          if($results['status']==0){
            $tp_str = number_format($old_prices['storno_price'],2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
            $op_num = $old_prices['storno_price'] - $old_prices['paid_price'];
          }
          else{
            if($old_prices['fixed_price']>0){
              $old_fixed = ($old_prices['fixed_price']-$ext_price);
              $fixstyle = ' style="color:red;"';
              $tp_str = number_format($old_fixed,2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
              $op_num = $old_fixed - $old_prices['paid_price'];
            }
            $fixstyle = ((empty($fixstyle) AND $old_prices['package']>0)?' style="color:blue;"':$fixstyle);
          }
          $op_str = number_format($op_num,2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
          $tdforprice .= '<a'.$fixstyle.' title="" href="'.ADMIN_URL.'/reservations/res_mod_prices.php?object_id='.$obj_id.ARGSO.'section_id='.$results['section_id'].ARGSO.'res_id='.$res_id.ARGSO.'backlist='.$backlist.$res_isarchive.'" onmouseover="document.getElementById(\'price_details'.$res_id.'\').style.visibility = \'visible\';" onmouseout="document.getElementById(\'price_details'.$res_id.'\').style.visibility = \'hidden\';">';
          $tdforprice .= $tp_str.'</a>';
          $display_paymentcontrol = $datapdo->get_one("SELECT `paycontrol` FROM `".TABLE_PREFIX."res_paymentset` WHERE `object_id`='$obj_id' LIMIT 1");
          if($display_paymentcontrol == 1){
            $tdforprice .= '&nbsp;&nbsp;'.show_paycontrol($obj_id,$res_id,$currres_isinarchive,true,$backlist)."\n";
          }
          $tdforprice .= '<div id="price_details'.$res_id.'" class="divInfoBox" style="width:auto"><table>';
          $get_resfiles1 = $datapdo->query("SELECT `savedate`,`tpl` FROM `".TABLE_PREFIX."res_files` WHERE `res_id`='".$results['res_id']."' AND (`tpl`='1' OR `tpl`='3') AND `canceled`='0' AND `savedate`>'0' ORDER BY `tpl` ASC");
          $setnextborder = '';
          if($datapdo->numRows($get_resfiles1)>0){
            $setnextborder = ' style="border-top:1px solid #555555;"';
            while($resfiles1 = $datapdo->fetchRow($get_resfiles1)){
              $filedate = convert_date(DATE_FORMAT,$resfiles1['savedate']);
              $filetitle = $CALTEXT['EMAIL_TPL_'.$resfiles1['tpl']];
              $tdforprice .= '<tr><td colspan="2">'.$filedate.'-'.$filetitle.'</td></tr>';
            }
          }
          $tdforprice .= '<tr><td align="left"'.$setnextborder.'>';
          $tdforprice .= $CALTEXT['TOTALPRICE'].':</td><td align="right"'.$setnextborder.'>'.$tp_str.'</td></tr><tr><td align="left">'.$CALTEXT['PAIDPRICE'].':</td><td align="right">'.$pp_str.'</td></tr><tr><td align="left">'.$CALTEXT['OPENPRICE'].':</td><td align="right">'.$op_str;
          $tdforprice .= '</td></tr></table></div>';
        }
        $tdforprice .= '</td>';
      }
      else{ $width_no = '36%'; }
      ?>
      <td width="<?php echo $width_no; ?>">
        <?php
        if($mod_yes AND ($results['res_end'] > time() OR $modold_yes)){ ?>
        <a title="<?php echo $dispname_full; ?>" href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $obj_id.ARGSO; ?>section_id=<?php echo $sec_id.ARGSO; ?>res_id=<?php echo $res_id.$res_isarchive; ?>">
        <?php }
        echo $dispname;
        echo '<br />';
        if($currres_isinarchive==false AND $mod_yes AND ($results['res_end'] > time() OR $modold_yes)){ ?>
        </a>
        <?php
          echo '<select name="new_object_id'.$results['res_id'].'" class="o_selector" onchange="set_res_to_newobject(\''.$results['res_id'].'\',this.value);">';
          foreach($sect_ids AS $sectKey => $objKey){
            $is_sel = ($sec_id == $sectKey?' selected':'');
            $obj_name = $datapdo->get_one("SELECT t.`object_title` FROM `".TABLE_PREFIX."objects` AS o, `".TABLE_PREFIX."obj_texts` AS t WHERE o.`object_id` = '$objKey' AND t.`object_id` = '$objKey' AND t.`language` = o.`default_language` LIMIT 1");
            echo '<option'.$DISPLAY_RADIO.' value="'.$objKey.'|'.$sectKey.'"'.$is_sel.'>'.$obj_name.'</option>';
          }
        }
        else{
          $obj_name = $datapdo->get_one("SELECT t.`object_title` FROM `".TABLE_PREFIX."objects` AS o, `".TABLE_PREFIX."obj_texts` AS t WHERE o.`object_id` = '$obj_id' AND t.`object_id` = '$obj_id' AND t.language = o.`default_language` LIMIT 1");
          echo $obj_name;
        }
        ?>
      </td>
      <td width="2%">
      <?php
      if($currres_isinarchive==true){ echo '&nbsp;'; }
      else{
        if($admin->get_permission('reservations_modify','system')){ ?>
          <a href="<?php echo ADMIN_URL; ?>/reservations/mod_sendmail.php?res_id=<?php echo $res_id.ARGSO.'back=5'.$res_isarchive; ?>" title="<?php echo (!empty($email)?$CALTEXT['SEND_EMAIL']:$CALTEXT['PRINT_DOKU']); ?>">
          <?php
          if(!empty($email)){
            if(file_exists($theme_path.'/images/email.png')){ ?>
            <img src="<?php echo $theme_url.'/images/email.png'; ?>" alt="<?php echo $CALTEXT['SEND_EMAIL']; ?>" border="0" />
            <?php }else{ echo '<span style="text-decoration:line-through;">&#64;</span>'; }
          }
          else{
            if(file_exists($theme_path.'/images/print_16.png')){ ?>
            <img src="<?php echo $theme_url.'/images/print_16.png'; ?>" alt="<?php echo $CALTEXT['PRINT_DOKU']; ?>" border="0" />
            <?php }else{ echo '<span style="text-decoration:line-through;">&#128424;&#65039;</span>'; }
          }
          ?>
          </a>
        <?php
        }
      }
      ?>
      </td>
      <?php echo $tdforprice; ?>
      <td width="10%" valign="bottom">
        <script type="text/javascript">
        scolorbg[<?php echo $results['res_id']; ?>] = new Array("<?php echo $colors['color_0']; ?>","","<?php echo $colors['color_2']; ?>","<?php echo $colors['color_3']; ?>","<?php echo $colors['color_3']; ?>","<?php echo $colors['color_4']; ?>");
        </script>
        <select name="status<?php echo $results['res_id']; ?>" style="<?php echo $selstyle;?>width:98%"<?php echo $DISPLAY_RADIO.($currres_isinarchive==true?' disabled':''); ?> onchange="this.style.backgroundColor = scolorbg[<?php echo $results['res_id']; ?>][this.value];">
          <?php
          echo '<option'.$storno_disabled.' style="background-color:'.$colors['color_0'].';" value="0"'.($results['status'] == 0?' selected="selected"':'').'>'.$CALTEXT['STORNO'].'</option>'."\n";
          echo '<option style="background-color:'.$colors['color_2'].';" value="2"'.($results['status'] == 2?' selected="selected"':'').'>'.$CALTEXT['RES2'].'</option>'."\n";
          echo '<option style="background-color:'.$colors['color_3'].';" value="3"'.($results['status'] == 3?' selected="selected"':'').'>'.$CALTEXT['RES3'].'</option>'."\n";
          echo '<option style="background-color:'.$colors['color_3s'].';" value="4"'.($results['status'] == 4?' selected="selected"':'').'>'.$CALTEXT['RES3s'].'</option>'."\n";
          echo '<option style="background-color:'.$colors['color_4'].';" value="5"'.($results['status'] == 5?' selected="selected"':'').'>'.$CALTEXT['RES4'].'</option>'."\n";
          ?>
        </select>
      </td>
      <?php
      if(!$admin->get_permission('reservations_modify','system')){ // AND $admin->get_permission('reservations_view','system')){
       $clicklink = ADMIN_URL.'/reservations/res_modify2.php?object_id='.$obj_id.ARGSO.'section_id='.$sec_id.ARGSO.'res_id='.$res_id;
       echo '<td colspan="4"><input type="button" style="width:98%" value="'.$TEXT['MODIFY'].'" onclick="window.location = \''.$clicklink.'\';" /></td>'."\n";
      }
      else{ ?>
      <td width="2%">
      <?php
      // Get the files this reservation
        $find_files = 0;
        $find_files2 = 0;
        if($admin->get_permission('reservations_modify','system')){
          $find_files = $datapdo->numRows($datapdo->query("SELECT * FROM `".TABLE_PREFIX."res_files` WHERE `res_id`='$res_id' ORDER BY `tpl` LIMIT 0,1"));
        }
        if($have_resbilling == true AND $admin->get_permission('resbilling')){
          $find_files2 = $datapdo->numRows($datapdo->query("SELECT `billing_id` FROM `".TABLE_PREFIX."resbilling_detail` WHERE `res_id`='$res_id' LIMIT 0,1"));
        }
        if($find_files>0 OR $find_files2>0){ ?>
        <img src="<?php echo $theme_url.'/images/folder_16.png'; ?>" alt="<?php echo $TEXT['FILES']; ?>" border="0" onmouseover="show_fileboxlst('<?php echo $res_id; ?>');" />
        <div id="fb<?php echo $res_id; ?>" class="formInfoBox fileInfoBox" style="margin: -10px 0px 0px -190px;min-width:200px;width:auto;" onclick="$('#fb<?php echo $res_id; ?>').hide();">
        </div>
        <?php }else{ echo '&nbsp;'; } ?>
      </td>
      <td width="2%" class="<?php echo $DISPLAY_MOD; ?>">
        <?php
        $hiddendel = (empty($DISABLE_CHANGE)?false:true);
        if($results['res_end'] < $time31d){
          $delimg = 'deleted_16.png';
          $hiddendel = ((!empty($DISPLAY_OLD_DEL) AND $results['status'] > 0)?true:$hiddendel);
        ?>
        <img src="<?php echo $theme_url; ?>/images/clock_del_16.png" alt="<?php echo $CALTEXT['BEFORE_NOW']; ?>" border="0" />
        <?php } else{
          if($results['status'] == 0){
            $clockimg = 'clock_red_16.png';
            $delimg = 'deleted_16.png';
          }
          else{
            $clockimg = ($results['res_end'] < time()?'clock_red_16.png':'clock_green_16.png');
            $delimg = 'delete_16.png';
            $hiddendel = (empty($DISABLE_CHANGE)?false:true);
          }
        ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $obj_id.ARGSO; ?>section_id=<?php echo $sec_id.ARGSO; ?>res_id=<?php echo $res_id.$res_isarchive; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
        <img src="<?php echo $theme_url.'/images/'.$clockimg; ?>" alt="<?php echo $TEXT['MODIFY']; ?>" border="0" />
        </a>
        <?php } ?>
      </td>
      <td width="2%" class="<?php echo ($have_resbilling==true?'':'hide'); ?>">
        <?php
        $billingout = '&nbsp;';
        if($results['status']<4){
          if($find_files2>0){
            $billingout = '<div title="'.$TEXT['COMMISSION'].' '.$TEXT['COMMISSION_CALC'].'" style="width:12px;height:12px;background:green;border:1px solid green;border-radius:50%;display:block;"></div>';
          }
          else{
            $billingout = '<div title="'.$TEXT['COMMISSION'].' '.strtolower($CALTEXT['OPENPRICE']).'" style="width:12px;height:12px;background:red;border:1px solid red;border-radius:50%;display:block;"></div>';
          }
        }
        echo $billingout;
        ?>
      </td>
      <td width="2%" class="<?php echo $DISPLAY_DEL; ?>">
        <a href="javascript: confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>', '<?php echo ADMIN_URL; ?>/reservations/res_delete.php?object_id=<?php echo $obj_id.ARGSOJS; ?>section_id=<?php echo $sec_id.ARGSOJS; ?>res_id=<?php echo $res_id.$res_isarchive; ?>');">
        <img src="<?php echo $theme_url.'/images/'.$delimg; ?>" alt="<?php echo $TEXT['DELETE']; ?>" border="0" />
        </a>
      </td>
      <?php } ?>
    </tr>
    <?php
    $row = ($row == 'a'?'b':'a');
  }
  echo '</table>';
  if($mod_yes){
    echo '<table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">';
    $statistice = ((isset($_SESSION['filter']['end']) AND !empty($_SESSION['filter']['end']))?$_SESSION['filter']['end']:$statistice);
    $rstatus_g = $rstatus_0+$rstatus_2+$rstatus_3+$rstatus_4+$rstatus_5;
    $rstatus_d = $rstatus_0d+$rstatus_2d+$rstatus_3d+$rstatus_4d+$rstatus_5d;
    $rstatus_p = $rstatus_0p+$rstatus_2p+$rstatus_3p+$rstatus_4p+$rstatus_5p;
    $rstatistic_g = $rstatus_0s+$rstatus_2s+$rstatus_3s+$rstatus_4s+$rstatus_5s;
    $prtdays = ($showdays==1?$TEXT['TERMIN_ANZ']:$TEXT['TERMIN_ANZN']);
    echo '<tr><td valign="top">'.$CALTEXT['BOOKED'].' ('.$TEXT['VIEW'].'):</td>';
    echo '<td'.($rstatus_0==0?' style="color:lightgray;"':"").'>'.$CALTEXT['STORNO'].'='.$rstatus_0.'<br />'.$rstatus_0d.' '.$prtdays.'<br />('.$rstatus_0p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td'.($rstatus_2==0?' style="color:lightgray;"':"").'>'.$CALTEXT['RES2'].'='.$rstatus_2.'<br />'.$rstatus_2d.' '.$prtdays.'<br />('.$rstatus_2p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td'.($rstatus_3==0?' style="color:lightgray;"':"").'>'.$CALTEXT['RES3'].'='.$rstatus_3.'<br />'.$rstatus_3d.' '.$prtdays.'<br />('.$rstatus_3p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td'.($rstatus_4==0?' style="color:lightgray;"':"").'>'.$CALTEXT['RES3s'].'='.$rstatus_4.'<br />'.$rstatus_4d.' '.$prtdays.'<br />('.$rstatus_4p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td'.($rstatus_5==0?' style="color:lightgray;"':"").'>'.$CALTEXT['RES4'].'='.$rstatus_5.'<br />'.$rstatus_5d.' '.$prtdays.'<br />('.$rstatus_5p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td>'.$TEXT['TOTAL_SUM'].'='.$rstatus_g.'<br />'.$rstatus_d.' '.$prtdays.'<br />'.$rstatus_p.' '.$CALTEXT['PERSONS'].'</td></tr>';
    $prtstatdays = ($showdays==1?' '.$TEXT['TERMIN_ANZ']:'<br />'.$CALTEXT['ACCOUNT_NIGHTS']);
    echo '<tr style="font-weight:bold"><td valign="top">'.$CALTEXT['STATISTIC'].'<br />'.$statistics.' - '.$statistice.':</td>';
    echo '<td'.($rstatus_0==0?' style="color:lightgray;"':"").'>'.$rstatus_0s.$prtstatdays.'</td>';
    echo '<td'.($rstatus_2==0?' style="color:lightgray;"':"").'>'.$rstatus_2s.$prtstatdays.'</td>';
    echo '<td'.($rstatus_3==0?' style="color:lightgray;"':"").'>'.$rstatus_3s.$prtstatdays.'</td>';
    echo '<td'.($rstatus_4==0?' style="color:lightgray;"':"").'>'.$rstatus_4s.$prtstatdays.'</td>';
    echo '<td'.($rstatus_5==0?' style="color:lightgray;"':"").'>'.$rstatus_5s.$prtstatdays.'</td>';
    echo '<td>'.$rstatistic_g.$prtstatdays.'</td></tr></table>';
  }
}
else{
  $resfound = false;
  echo '<table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">';
  echo '<tr><td width="100%">'.$TEXT['NONE_FOUND'].'</td></tr>';
  echo '</table>';
  $DISPLAY_MOD = 'hide';
  $DISPLAY_DEL = 'hide';
}
if($mod_yes){
?>
  <table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">
    <tr>
      <td width="30%">
        <input type="button" name="back" value="<?php echo $TEXT['BACK']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL.'/objects/index.php'; ?>'" style="width: 99%;" />
      </td>
      <td width="30%">
        <input class="<?php echo $DISPLAY_MOD; ?>" type="submit" name="save" value="<?php echo $TEXT['SAVE']; ?>" style="width: 99%;" />
      </td>
      <td width="40%">
        <?php if($resfound == true){ ?>
        <input type="button" name="sermail" value="<?php echo $CALTEXT['SEND_SERMAIL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/reservations/serial_mail.php'" style="width: 99%;" />
        <?php }else{ echo '&nbsp;'; } ?>
      </td>
      </tr>
  </table>
  </form>
  <?php if($firstdelyear>0){ ?>
  <form name="del_old" action="<?php echo ADMIN_URL; ?>/reservations/res_delete.php" method="post">
  <table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">
      <tr class="<?php echo $DISPLAY_OLD_DEL; ?>">
      <td width="60%">&nbsp;</td><td width="40%">
      <?php
      foreach($sect_ids as $keyvalue => $objvalue){ ?>
      <input name="sectors[]" type="hidden" value="<?php echo $keyvalue; ?>" />
      <input name="objects[]" type="hidden" value="<?php echo $objvalue; ?>" />
      <?php }
        echo '<input type="submit" name="del_old" value="'.$TEXT['TERMIN_DELETE_OLD'].'" style="width: 75%;" />';
        echo '&nbsp;'.$TEXT['TERMIN_END_TO'].'&nbsp;';
        $lastdelyear = date("Y",$time31d);
        echo '<input type="number" name="delyear" value="'.$firstdelyear.'" min="'.$firstdelyear.'" max="'.$lastdelyear.'" style="width: 15%;" />';
      ?>
      </td>
    </tr>
  </table>
  </form>
  <?php } ?>
<?php
}
// Print admin footer
$admin->print_footer();

?>