<?php
/*                                                       */
/* reslist_inc.php - Reservation list for listings       */
/* $ID 183b - 2024-03-18 - brom $                        */
/*                                                       */
/* BROM CMS/BelCal Project  <http://www.brom-belcal.de>  */
/*                                                       */
/* BROM CMS/BelCal is software you can redistribute it   */
/* under the terms the BROM CMS/BelCal license for free  */
/* and modify scripts but without warranty. It is not    */
/* redistributable for payment.                          */
/*                                                       */
/* A distribution of payment will be provided            */
/* exclusively by BROM Service see website or send mail. */
/*                                                       */
/* (c) by BROM-Service 2008  (kontakt@brom-belcal.de)    */
/*                                                       */

// Must include code to stop this file being access directly
if(defined('BC_PATH') == false){ exit("Cannot access this file directly"); }
// we need here for the display address converting the umlauts
require_once(BC_PATH.'/lib/functions.php');
// Get calendar as function in separate file:
require_once(ADMIN_PATH.'/reservations/buildcalendar.php');
$have_resbilling = false;
$obj_isbilling = false;
if($datapdo->numRows($datapdo->query("SHOW TABLES LIKE '".TABLE_PREFIX."resbilling_detail'"))>0){
  $have_resbilling = true;
  $getobj_isbilling = $datapdo->numRows($datapdo->query("SELECT `bilobj_id` FROM `".TABLE_PREFIX."resbilling_obj` WHERE `object_id`='$cal_object_id' LIMIT 0,1"));
  $obj_isbilling = ($getobj_isbilling>0?true:false);
  $isfield = false;
  $get_fields = $datapdo->query("SHOW FIELDS FROM `".TABLE_PREFIX."resbilling_detail`");
  while($row = $datapdo->fetchRow($get_fields)){
    if($row[0]=='deleted'){ $isfield = true; }
  }
  if($isfield == false){ $datapdo->query("ALTER TABLE `".TABLE_PREFIX."resbilling_detail` ADD `deleted` TINYINT(1) NOT NULL"); }
}
$isnewfields = array('covid'=>0,'covidnotice'=>0,'savedate'=>0,'view_users'=>0,'canceled'=>0);
$get_fields = $datapdo->query("SHOW FIELDS FROM `".TABLE_PREFIX."reservations`");
while($row = $datapdo->fetchRow($get_fields)){
  if($row[0]=='covid'){ $isnewfields['covid'] = 1; }
  if($row[0]=='covidnotice'){ $isnewfields['covidnotice'] = 1; }
}
$get_fields = $datapdo->query("SHOW FIELDS FROM `".TABLE_PREFIX."res_files`");
while($row = $datapdo->fetchRow($get_fields)){
  if($row[0]=='savedate'){ $isnewfields['savedate'] = 1; }
  if($row[0]=='view_users'){ $isnewfields['view_users'] = 1; }
  if($row[0]=='canceled'){ $isnewfields['canceled'] = 1; }
}
foreach($isnewfields AS $fld_key => $fldvalue){
  if($fldvalue == 1){ continue; }
  switch ($fld_key){
    // new field in version 4.062
    case 'savedate':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."res_files` ADD `savedate` INT NOT NULL");
      break;
    // new field in version 4.065
    case 'covid':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."reservations` ADD `covid` TINYINT(1) NOT NULL AFTER `confirm`");
      break;
    // new field in version 4.067
    case 'covidnotice':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."reservations` ADD `covidnotice` TEXT NOT NULL AFTER `covid`");
      break;
    case 'view_users':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."res_files` ADD `view_users` VARCHAR(255) NOT NULL DEFAULT '1,g1,g2' AFTER `savedate`");
      break;
    case 'canceled':
      $datapdo->query("ALTER TABLE `".TABLE_PREFIX."res_files` ADD `canceled` TINYINT(1) NOT NULL AFTER `savedate`");
      break;
  }
}
// Check the table res_archive and fill the old reservations
$resarchive = "CREATE TABLE IF NOT EXISTS `".TABLE_PREFIX."res_archive` LIKE `".TABLE_PREFIX."reservations`";
$datapdo->query($resarchive);
// Insert now in the res_archive the old reservations
$get_lastoldres = $datapdo->query("SELECT `res_end` FROM `".TABLE_PREFIX."res_archive` ORDER BY `res_end` DESC LIMIT 0,1");
$time30d = time()-(30*60*60*24);   // For listing the reservations 30 days ago by default
$time31d = time()-(370*60*60*24);   // For move the reservations to archive 370 days ago
$whereArchSQL = "`res_end`<'$time31d'";
if($datapdo->numRows($get_lastoldres)>0){
  $lastoldres = $datapdo->fetchRow($get_lastoldres);
  $lastarchivedate = $lastoldres['res_end'];
  $whereArchSQL .= " AND `res_end`>'$lastarchivedate'";
}
$archiveinsert = "INSERT IGNORE INTO `".TABLE_PREFIX."res_archive` SELECT * FROM `".TABLE_PREFIX."reservations` WHERE ".$whereArchSQL;
$datapdo->query($archiveinsert);
// Detele now the reservations they are copied from reservations
$datapdo->query("DELETE FROM `".TABLE_PREFIX."reservations` WHERE ".$whereArchSQL);

// Check first we have more then one bills for reservation or not canceled bil before storno
$get_bills = $datapdo->query("SELECT `res_id`,`rfile_id` FROM `".TABLE_PREFIX."res_files` WHERE `tpl`='3' AND `canceled`='0' ORDER BY `res_id` ASC, `rfile_id` DESC");
$m_resid = 0;
if($datapdo->numRows($get_bills)>1){
  while($res = $datapdo->fetchRow($get_bills)){
    $resid = $res['res_id'];
    if($resid == $m_resid){ continue 1; }
    $m_resid = $resid;
    $rfid = $res['rfile_id'];
    $datapdo->query("UPDATE `".TABLE_PREFIX."res_files` SET `canceled`='1' WHERE `res_id`='$resid' AND `tpl`='3' AND `rfile_id`<'$rfid'");
  }
  $get_bills = $datapdo->query("SELECT `res_id`,`rfile_id` FROM `".TABLE_PREFIX."res_files` WHERE `tpl`='5' ORDER BY `res_id` ASC, `rfile_id` ASC");
  if($datapdo->numRows($get_bills)>0){
    while($res = $datapdo->fetchRow($get_bills)){
      $resid = $res['res_id'];
      $rfid = $res['rfile_id'];
      $datapdo->query("UPDATE `".TABLE_PREFIX."res_files` SET `canceled`='1' WHERE `res_id`='$resid' AND `tpl`='3' AND `rfile_id`<'$rfid'");
    }
  }
}
if(LANGUAGE != 'EN'){ $dec_point = ','; $thousends = '.'; }else{ $dec_point = '.'; $thousends = ','; }
$get_calset = $datapdo->query("SELECT `calculator`,`countalldays`,`time_from`,`time_to`,`notice`,`form_object` FROM `".TABLE_PREFIX."calendar` WHERE `object_id`='$cal_object_id' LIMIT 1");
$calset = $datapdo->fetchRow($get_calset);
$display_payment = $calset['calculator'];
$showdays = $calset['countalldays'];
$cal_notice = $calset['notice'];
$form_obj = ($calset['form_object']>0?$calset['form_object']:$cal_object_id);
require_once(BC_PATH.'/admin/reservations/paycontrol.php');
// Check we have the commission configured
$com_yes = false;
$notabs = $datapdo->query("SHOW TABLES LIKE '".TABLE_PREFIX."resbilling'");
if($datapdo->numRows($notabs) > 0){
  $chk_comobj = $datapdo->numRows($datapdo->query("SELECT `bilobjset_id` FROM `".TABLE_PREFIX."resbilling_objset` WHERE `object_id`='$cal_object_id' AND `tpl`='1' LIMIT 0,1"));
  if($chk_comobj > 0){ $com_yes = true; }
}
$error_msg = input_ext($cal_object_id,$cal_section_id,1);
if($error_msg != ''){
  echo '<div id="errorimportmsg" style="position:absolute;width:26%;top:50%;left:37%;padding:10px;background:lightgrey;border:1px solid;box-shadow:10px 10px 25px 5px #bbbbbb;text-align:center;">'."\n";
  echo '<p>'.$error_msg.'</p>';
  echo '<input type="button" name="importerror" value="OK" style="width:50%" onclick="$(\'#errorimportmsg\').hide();" />';
  echo '</div>'."\n";
}
$query_this = "SELECT r.* FROM `".TABLE_PREFIX."reservations` AS r LEFT JOIN `".TABLE_PREFIX."address` AS a ON r.`client_id`=a.`client_id` WHERE r.`object_id` = '$cal_object_id' AND r.`section_id`='$cal_section_id'".$filter_sql." ORDER BY r.`res_start` ASC";
$query_reservations = $datapdo->query($query_this);
$allreservations = array();
if($checkarchive == true){
  $query_thisarchive = "SELECT r.* FROM `".TABLE_PREFIX."res_archive` AS r LEFT JOIN `".TABLE_PREFIX."address` AS a ON r.`client_id`=a.`client_id` WHERE r.`object_id` = '$cal_object_id' AND r.`section_id`='$cal_section_id'".$filter_sql." ORDER BY r.`res_start` ASC";
  $query_oldreservations = $datapdo->query($query_thisarchive);
  if($datapdo->numRows($query_oldreservations)>0){
    while($res_archive = $datapdo->fetchRow($query_oldreservations,false)){
      array_push($allreservations,$res_archive);
    }
  }
}
if($datapdo->numRows($query_reservations)>0){
  while($curr_res=$datapdo->fetchRow($query_reservations,false)){
    array_push($allreservations,$curr_res);
  }
}

$allcols = ($display_payment > 0 ? 9 : 8);
$theme_path = str_replace(ADMIN_URL,ADMIN_PATH,$theme_url);
if(!isset($backlist) OR $backlist == ''){ $backlistfolder = ($admin->get_permission('objects_view')?'objects':'reservations'); }
else{ $backlistfolder = ($backlist==3?'reservations':'objects'); }
if(isset($js_back) AND $backlistfolder == 'reservations' AND preg_match('/calendar/',$js_back)){ $backlink = $js_back; }
else{ $backlink = ADMIN_URL.'/'.$backlistfolder.'/index.php'; }
if(isset($_SESSION['BACKTOTRASH'])){ $backlink = $_SESSION['BACKTOTRASH']; }
$get_moreitems = $datapdo->query("SELECT f.`field_id`,f.`field_name`,l.`field_label`,l.`field_extra` FROM `".TABLE_PREFIX."form_labels` AS l LEFT JOIN `".TABLE_PREFIX."forms` AS f ON l.`field_id`=f.`field_id` WHERE f.`object_id`='$form_obj' AND (f.`field_name`='MORE' OR f.`forprices`='1') AND f.`active`='1' AND l.`language`='".LANGUAGE."'");
$moreitems = $datapdo->numRows($get_moreitems);
?>
<script type="text/javascript">
function set_covid(r,c,n,arc){
  var newtitle = "<?php echo $CALTEXT['COVID1']; ?>";
  var loadlink = ADMIN_URL+'/reservations/setcovid.php?res='+r+'&res_isarchive='+arc;
  var newcursor = "pointer";
  $("#covid"+r+"_2").prop("type","hidden");
  if(n==6){ loadlink = loadlink+"<?php echo ARGSOJS.'newcovid="'; ?>+n; }
  $("#noBox").load(loadlink, function(){
    var newcolor = $(this).text();
    switch (newcolor){
      case "red":
        newtitle = "<?php echo entities_to_umlauts($CALTEXT['COVID0']); ?>";
        newcursor = "default";
        break
      case "grey":
        newtitle = "<?php echo entities_to_umlauts($CALTEXT['COVID1']); ?>";
        $("#covid"+r+"_2").prop("type","button").css("cursor","pointer");
        break
      case "yellow":
        newtitle = "<?php echo entities_to_umlauts($CALTEXT['COVID2']); ?>";
        break
      case "aqua":
        newtitle = "<?php echo entities_to_umlauts($CALTEXT['COVID2a']); ?>";
        break
      case "fuchsia":
        newtitle = "<?php echo entities_to_umlauts($CALTEXT['COVID2b']); ?>";
        break
      case "blue":
        newtitle = "<?php echo entities_to_umlauts($CALTEXT['COVID2c']); ?>";
        break
      case "green":
        newtitle = "<?php echo entities_to_umlauts($CALTEXT['COVID3']); ?>";
        newcursor = "default";
        break
    }
    $("#covid"+r).css({"background-color":newcolor,"cursor":newcursor}).prop("title",newtitle);
  });
};
function show_dokus(res){
  $(".formInfoBox").hide();
  var link = "<?php echo ADMIN_URL.'/reservations/show_dokus.php?'.($have_resbilling==true?'resbil=1'.ARGSOJS:'').'res='; ?>"+res;
  if($("#fb"+res).length){
    $("#fb"+res).load(link).show();
  }
};
</script>
<form name="reservations<?php echo $cal_object_id; ?>" action="<?php echo ADMIN_URL; ?>/reservations/res_save.php" method="post">
<input type="hidden" value="<?php echo $cal_object_id; ?>" name="object_id" />
<input type="hidden" value="<?php echo $cal_section_id; ?>" name="section_id" />
<table cellpadding="3" cellspacing="0" border="0" align="center" width="100%">
<tr>
  <td width="6%">ID</td>
  <td width="12%"><?php echo $TEXT['TERMIN_START']; ?></td>
  <td width="12%"><?php echo $TEXT['TERMIN_END']; ?></td>
  <td width="12%" align="center">
    <?php echo ($showdays==1?$TEXT['TERMIN_ANZ']:$TEXT['TERMIN_ANZN']).' ('.(substr($CALTEXT['CONTINGENTS'],0,1)).'/'.(substr($CALTEXT['PERSONS'],0,1)).'/'.(substr($CALTEXT['CHILDREN'],0,1)).($moreitems>0?'/'.substr($TEXT['ADDITIONE'],0,1):'').')'; ?>
  </td>
  <?php
  if($display_payment > 0 AND $mod_yes){
    echo '<td colspan="2" style="width:20%;">'.$TEXT['NAME'].'</td>';
    echo '<td style="width:13%;text-align:right;">'.$CALTEXT['TOTALPRICE'].'</td>';
  }
  else{
    echo '<td colspan="2" style="width:33%;">'.$TEXT['NAME'].'</td>';
  }
  ?>
  <td style="width:9%;text-align:center;"><?php echo $TEXT['TERMIN_STATUS']; ?></td>
  <td colspan="5" style="width:10%;text-align:center;"><?php echo $TEXT['ACTIONS']; ?></td>
  <td style="width:6%;text-align:center;"><?php echo $CALTEXT['COVID']; ?></td>
</tr>
<?php
$rstatus_0 = 0;
$rstatus_2 = 0;
$rstatus_3 = 0;
$rstatus_4 = 0;
$rstatus_5 = 0;
$rstatus_0d = 0;
$rstatus_2d = 0;
$rstatus_3d = 0;
$rstatus_4d = 0;
$rstatus_5d = 0;
$rstatus_0p = 0;
$rstatus_2p = 0;
$rstatus_3p = 0;
$rstatus_4p = 0;
$rstatus_5p = 0;
$rstatus_0s = 0;
$rstatus_2s = 0;
$rstatus_3s = 0;
$rstatus_4s = 0;
$rstatus_5s = 0;
$statistics = (isset($_SESSION['filter']['start'])?$_SESSION['filter']['start']:'');
$statistice = '';
$firstdelyear = 0;
if(count($allreservations) > 0) {
  $row = 'a';
  $DISPLAY_OLD_DEL = 'hide';   // hide the old delete button for default
  // Get the reservations and list it
  foreach($allreservations AS $allK => $reservation){
    $res_id = $reservation['res_id'];
    $covid = (isset($reservation['covid'])?$reservation['covid']:0);
    $ext_price = 0;
    $statistics = ($statistics == ''?convert_date(DATE_FORMAT,$reservation['res_start']):$statistics);
    $statistice = convert_date(DATE_FORMAT,$reservation['res_end']);
    if($firstdelyear == 0){ $firstdelyear = date("Y",$reservation['res_start']); }
    if($reservation['status']==0){ $rstatus_0++; }
    if($reservation['status']==2){ $rstatus_2++; }
    if($reservation['status']==3){ $rstatus_3++; }
    if($reservation['status']==4){ $rstatus_4++; }
    if($reservation['status']==5){ $rstatus_5++; }
    $DISABLE_CHANGE = '';
    if($com_yes == true){
      if($datapdo->numRows($datapdo->query("SELECT `bildetail_id` FROM `".TABLE_PREFIX."resbilling_detail` WHERE `res_id`='".$reservation['res_id']."' LIMIT 0,1"))>0){
        $DISABLE_CHANGE = ' disabled';
      }
    }
    $time30d = time()-(30*60*60*24);
    $time31d = time()-(370*60*60*24);
    $currres_isinarchive = ($reservation['res_end'] < $time31d?true:false);
    $res_isarchive = ($currres_isinarchive==true?ARGSO.'res_isarchive=1':ARGSO.'res_isarchive=0');
    $res_isarchiveJS = ($currres_isinarchive==true?ARGSOJS.'res_isarchive=1':ARGSOJS.'res_isarchive=0');
    if($reservation['res_end'] < $time31d AND $DISPLAY_DEL != 'hide'){
      // enable the old delete button if a reservation is in old time
      $DISPLAY_OLD_DEL = '';
    }
    // Get display name if it is in address
    $get_disp_name = $datapdo->query("SELECT `client_id`,`name`,`prename`,`zipcode`,`city`,`email`  FROM `".TABLE_PREFIX."address` WHERE `client_id`='".$reservation['client_id']."' LIMIT 0,1");
    if($datapdo->numRows($get_disp_name)>0){
      $disp_name = $datapdo->fetchRow($get_disp_name);
      if($sorting == 1){
        $dispname_temp = $disp_name['prename'].(!empty($disp_name['prename'])?' ':'').$disp_name['name'].(!empty($disp_name['city'])?' - ':'').$disp_name['city'];
      }
      else{
        $dispname_temp = $disp_name['name'].(!empty($disp_name['prename'])?', ':'').$disp_name['prename'].(!empty($disp_name['city'])?' - ':'').$disp_name['city'];;
      }
/*    $dispname_temp = entities_to_umlauts($dispname_temp);
      $dispname_temp2 = mb_substr($dispname_temp,0,22);
//    $dispname = umlauts_to_entities($dispname_temp2);
      $dispname = $dispname_temp2.(strlen($dispname_temp)>strlen($dispname_temp2)?' ...':'');
*/
      $dispname = shortText($dispname_temp,22);
      $dispname_full = $disp_name['client_id'].chr(13).(!empty($disp_name['prename'])?$disp_name['prename'].' ':'').$disp_name['name'].chr(13).$disp_name['zipcode'].' '.$disp_name['city'];
    }
    else{
      $dispname = $CALTEXT['IMPORT'].' '.$TEXT['FROM'].' '.$reservation['name'];
      $dispname_full = '';
    }
    $email = $reservation['mail'];    // Get email from reservation or if is set in address then from address
    if(!empty($disp_name['email'])){ $email = $disp_name['email']; }
    $sec_id = $reservation['section_id'];
    // Get the colors for calendar
    $get_colors = $datapdo->query("SELECT `color_0`,`color_2`,`color_3`,`color_3s`,`color_4`,`form_object` FROM `".TABLE_PREFIX."calendar` WHERE `section_id`='$sec_id' LIMIT 1");
    $colors = $datapdo->fetchRow($get_colors);
    if($colors['color_3s']==''){ $colors['color_3s']=$colors['color_3']; }
    $form_obj = ($colors['form_object']==0?$reservation['object_id']:$colors['form_object']);
    if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){
      $DISPLAY_RADIO = '';
    }
    else{ $DISPLAY_RADIO = ' disabled'; }
    // We set the displays to default while hide when not reservations before
    if($mod_yes == true){ $DISPLAY_MOD = ''; }
    if($del_yes == true){ $DISPLAY_DEL = ''; }
    if($com_yes == true){ $DISPLAY_COM = ''; }
    ?>
    <tr class="row_<?php echo $row; ?>" height="20" onmouseover="this.className = 'row_c';" onmouseout="this.className = 'row_<?php echo $row; ?>'">
      <td width="6%">
        <?php
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){ ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $cal_object_id.ARGSO; ?>section_id=<?php echo $cal_section_id.ARGSO; ?>res_id=<?php echo $reservation['res_id'].$res_isarchive; ?>">
        <?php }
        if(method_exists($admin, 'zero_to_number')){ echo $admin->zero_to_number($reservation['res_id']); }
        else{ echo str_pad($reservation['res_id'],5,'0',STR_PAD_LEFT); }
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){ ?>
        </a>
        <?php } ?>
      </td>
      <td width="12%">
        <?php
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){ ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $cal_object_id.ARGSO; ?>section_id=<?php echo $cal_section_id.ARGSO; ?>res_id=<?php echo $reservation['res_id'].$res_isarchive; ?>" title="<?php echo date('d.m.Y H:i',$reservation['res_start']); ?>">
        <?php }
        echo (date('N',$reservation['res_start'])==7?'<span style="color:red;">':'').convert_day_month_to_str('daystr',date('N',$reservation['res_start'])).(date('N',$reservation['res_start'])==7?'</span>':'').', '.date('d.m.Y',$reservation['res_start']);
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){ ?>
        </a>
        <?php } ?>
      </td>
      <td width="12%">
        <?php
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){ ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $cal_object_id.ARGSO; ?>section_id=<?php echo $cal_section_id.ARGSO; ?>res_id=<?php echo $reservation['res_id'].$res_isarchive; ?>" title="<?php echo date('d.m.Y H:i',$reservation['res_end']); ?>">
        <?php }
        echo (date('N',$reservation['res_end'])==7?'<span style="color:red;">':'').convert_day_month_to_str('daystr',date('N',$reservation['res_end'])).(date('N',$reservation['res_end'])==7?'</span>':'').', '.date('d.m.Y',$reservation['res_end']);
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){ ?>
        </a>
        <?php } ?>
      </td>
      <td width="12%" align="center">
        <?php
        $cal_time_from = date('Gi',$reservation['res_start']);
        $cal_time_to = date('Gi',$reservation['res_end']);
        $plusday = 0;
        $print_cont = $reservation['contingent'];
        $print_pers = ($reservation['persons']>0?$reservation['persons']:'-');
        $print_child = ($reservation['children']>0?$reservation['children']:'-');
        $print_child2 = ($reservation['toddler']>0?$reservation['toddler']:'-');
        $print_fullpers = $reservation['persons']+$reservation['children']+$reservation['toddler'];
        $print_children = $reservation['children']+$reservation['toddler'];
        if($showdays==1 AND $cal_time_from > $cal_time_to){ $plusday = 1; }
        if($showdays==0 AND $cal_time_to > $cal_time_from){ $plusday = -1; }
        if($ANZ=$reservation['res_end']-$reservation['res_start']){
          $print_anz = ceil($ANZ/86400)+$plusday;
          switch ($reservation['status']){
            case 0:
              $rstatus_0d += $print_anz;
              $rstatus_0p += $print_fullpers;
              $rstatus_0s += ($print_anz*$print_fullpers);
              break;
            case 2:
              $rstatus_2d += $print_anz;
              $rstatus_2p += $print_fullpers;
              $rstatus_2s += ($print_anz*$print_fullpers);
              break;
            case 3:
              $rstatus_3d += $print_anz;
              $rstatus_3p += $print_fullpers;
              $rstatus_3s += ($print_anz*$print_fullpers);
              break;
            case 4:
              $rstatus_4d += $print_anz;
              $rstatus_4p += $print_fullpers;
              $rstatus_4s += ($print_anz*$print_fullpers);
              break;
            case 5:
              $rstatus_5d += $print_anz;
              $rstatus_5p += $print_fullpers;
              $rstatus_5s += ($print_anz*$print_fullpers);
              break;
          }
        }
        else{
          $print_anz = '--';
        }

        $moretxt = '';
        // Get the texts for more field this object
        $get_morelabels = $datapdo->query("SELECT f.`field_id`,f.`field_name`,l.`field_label`,l.`field_extra` FROM `".TABLE_PREFIX."form_labels` AS l LEFT JOIN `".TABLE_PREFIX."forms` AS f ON l.`field_id`=f.`field_id` WHERE f.`object_id`='$form_obj' AND (f.`field_name`='MORE' OR f.`forprices`='1') AND f.`active`='1' AND l.`language`='".LANGUAGE."'");
        if($datapdo->numRows($get_morelabels)>0){
          while($morelabels = $datapdo->fetchRow($get_morelabels)){
            $old_mores = array();
            $fld = $morelabels['field_id'];
            $fname =  $morelabels['field_name'];
            $fextras = explode('|',$morelabels['field_extra']);
            $flabel = $morelabels['field_label'];
            if($reservation['more']!=''){
              if($oldarray = @unserialize($reservation['more'])){
                if(!isset($oldarray[$fld])){ $oldarray[$fld] = ''; }
                $old_mores = explode('|',$oldarray[$fld]);
              }
              else{ $old_mores = ($fname=='MORE'?explode('|',$reservation['more']):array()); }
            }
            if(count($old_mores)>0){
              foreach($fextras As $k => $v){
                if(is_numeric(array_search($k,$old_mores))){
                  $moretxt .= chr(13).$v.(is_numeric($v)?' '.$flabel:'');
                }
              }
            }
          }
        }
        $print_box = $print_anz.' '.$TEXT['TERMIN_ANZ'];
        $print_box .= chr(13).$print_cont.' '.$CALTEXT['CONTINGENTS'];
        $print_box .= ($reservation['persons']>0?chr(13).$print_pers.' '.$CALTEXT['PERSONS']:'');
        $print_box .= ($reservation['children']>0?chr(13).$print_child.' '.$CALTEXT['CHILDREN']:'');
        $print_box .= ($reservation['toddler']>0?chr(13).$print_child2.' '.$CALTEXT['TODDLER']:'');
        $print_box .= $moretxt;
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){
          echo '<a title="'.$print_box.'" href="'.ADMIN_URL.'/reservations/res_modify.php?object_id='.$cal_object_id.ARGSO.'section_id='.$cal_section_id.ARGSO.'res_id='.$reservation['res_id'].$res_isarchive.'">';
        }
        echo $print_anz.' ('.$print_cont.'/'.$print_pers.'/'.$print_children.($moreitems>0?(!empty($moretxt)?'/*':'/-'):'').')';
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){
          echo '</a>';
        }
        ?>
      </td>
      <td>
        <?php
        if($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes)){
        echo '<a title="'.entities_to_umlauts($dispname_full).'" href="'.ADMIN_URL.'/reservations/res_modify.php?object_id='.$cal_object_id.ARGSO.'section_id='.$cal_section_id.ARGSO.'res_id='.$reservation['res_id'].$res_isarchive.'">';
        }
        elseif($view_address){ // AND !$admin->get_permission('reservations_modify','system')){
        echo '<a title="'.$dispname_full.'" href="#">';
        }
        echo $dispname;
        if($view_address OR ($mod_yes AND ($reservation['res_end'] > time() OR $modold_yes))){
        echo '</a>';
        } ?>
      </td>
      <td width="5%" align="center">
      <?php
      if($currres_isinarchive==true){ echo '&nbsp;'; }
      else{
        if($admin->get_permission('reservations_modify','system')){ ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/mod_sendmail.php?res_id=<?php echo $reservation['res_id'].(isset($nextback)?ARGSO.'back='.$nextback:'').$res_isarchive; ?>" title="<?php echo (!empty($email)?$CALTEXT['SEND_EMAIL']:$CALTEXT['PRINT_DOKU']); ?>">
        <?php
        if(!empty($email)){
          if(file_exists($theme_path.'/images/email.png')){ ?>
          <img src="<?php echo $theme_url.'/images/email.png'; ?>" alt="<?php echo $CALTEXT['SEND_EMAIL']; ?>" border="0" />
          <?php }else{ echo '<span style="text-decoration:line-through;">&#64;</span>'; }
        }
        else{
          if(file_exists($theme_path.'/images/print_16.png')){ ?>
          <img src="<?php echo $theme_url.'/images/print_16.png'; ?>" alt="<?php echo $CALTEXT['PRINT_DOKU']; ?>" border="0" />
          <?php }else{ echo '<span style="text-decoration:line-through;">&#128424;&#65039;</span>'; }
        }
        ?>
        </a>
      <?php
        }
        else{ echo '&nbsp;'; }
      }
      ?>
      </td>
      <?php
      if($display_payment > 0 AND $mod_yes){
        // Get external prices to subtract from total or fixed
        $query_extprices = "SELECT `quantity`,`single_price` FROM `".TABLE_PREFIX."res_invoice` WHERE `res_id`='$res_id' AND `external`='1'";
        $get_extprices = $datapdo->query("SELECT `quantity`,`single_price` FROM `".TABLE_PREFIX."res_invoice` WHERE `res_id`='$res_id' AND `external`='1'");
        if($datapdo->numRows($get_extprices)>0){
          while($extprices = $datapdo->fetchRow($get_extprices)){
            $tmppr = $extprices['single_price'] * $extprices['quantity'];
            $ext_price = $ext_price + $tmppr;
          }
        }

        echo '<td width="13%" align="right">';
        $price_unit = $datapdo->get_one("SELECT `p_unit` FROM `".TABLE_PREFIX."res_price_sets` WHERE `section_id`='$sec_id' LIMIT 1");
        $get_old_prices = $datapdo->query("SELECT `total_price`,`paid_price`,`fixed_price`,`storno_price`,`package` FROM `".TABLE_PREFIX."res_price_calc` WHERE `res_id`='".$reservation['res_id']."' AND `total_price`>'0' LIMIT 1");
        if($datapdo->numRows($get_old_prices) > 0){
          $old_prices = $datapdo->fetchRow($get_old_prices);
          $ext_price = get_external($reservation['res_id']);
          $old_total = ($old_prices['total_price']-$ext_price);
          $tp_str = number_format($old_total,2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
          $pp_str = number_format($old_prices['paid_price'],2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
          $op_num = $old_total - $old_prices['paid_price'];
          $fixstyle = '';
          if($reservation['status']==0){
            $tp_str = number_format($old_prices['storno_price'],2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
            $op_num = $old_prices['storno_price'] - $old_prices['paid_price'];
          }
          else{
            if($old_prices['fixed_price']>0){
              $old_fixed = ($old_prices['fixed_price']-$ext_price);
              $fixstyle = ' style="color:red;"';
              $tp_str = number_format($old_fixed,2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
              $op_num = $old_fixed - $old_prices['paid_price'];
            }
            $fixstyle = ((empty($fixstyle) AND $old_prices['package']>0)?' style="color:blue;"':$fixstyle);
          }
          $op_str = number_format($op_num,2,$dec_point,$thousends).'&nbsp;'.$TEXT['PRICE_UNIT'][$price_unit];
          echo '<a'.$fixstyle.' title="" href="'.ADMIN_URL.'/reservations/res_mod_prices.php?object_id='.$cal_object_id.ARGSO.'section_id='.$cal_section_id.ARGSO.'res_id='.$reservation['res_id'].ARGSO.'backlist='.$backlist.$res_isarchive.'" onmouseover="document.getElementById(\'price_details'.$reservation['res_id'].'\').style.visibility = \'visible\';" onmouseout="document.getElementById(\'price_details'.$reservation['res_id'].'\').style.visibility = \'hidden\';">';
          echo $tp_str.'</a>';
          if($display_paymentcontrol == 1){
            echo '&nbsp;&nbsp;'.show_paycontrol($cal_object_id,$reservation['res_id'],$currres_isinarchive,true,$backlist)."\n";
          }
          echo '<div id="price_details'.$reservation['res_id'].'" class="divInfoBox" style="width:auto"><table>';
          $get_resfiles1 = $datapdo->query("SELECT `savedate`,`tpl` FROM `".TABLE_PREFIX."res_files` WHERE `res_id`='".$reservation['res_id']."' AND (`tpl`='1' OR `tpl`='3') AND `canceled`='0' AND `savedate`>'0' ORDER BY `tpl` ASC");
          $setnextborder = '';
          if($datapdo->numRows($get_resfiles1)>0){
            $setnextborder = ' style="border-top:1px solid #555555;"';
            while($resfiles1 = $datapdo->fetchRow($get_resfiles1)){
              $filedate = convert_date(DATE_FORMAT,$resfiles1['savedate']);
              $filetitle = $CALTEXT['EMAIL_TPL_'.$resfiles1['tpl']];
              echo '<tr><td>'.$filedate.'-'.$filetitle.'</td></tr>';
            }
          }
          echo '<tr><td'.$setnextborder.'>';
          echo $CALTEXT['TOTALPRICE'].':</td><td align="right"'.$setnextborder.'>'.$tp_str.'</td></tr><tr><td>'.$CALTEXT['PAIDPRICE'].':</td><td align="right">'.$pp_str.'</td></tr><tr><td>'.$CALTEXT['OPENPRICE'].':</td><td align="right">'.$op_str;
          echo '</td></tr></table></div>';
        }
        echo '</td>';
      }
      $colorid = $reservation['status'];
      if($colorid > 3){
        $colorid = $colorid - 1;
      }
      $selstyle = 'background-color:'.$colors['color_'.$colorid.($reservation['status']==4?'s':'')].';';
      $selstyle .= 'color:'.setTextColor($colors['color_'.$colorid.($reservation['status']==4?'s':'')]).';';
      ?>
      <td width="9%">
        <script type="text/javascript">
	scolorbg[<?php echo $reservation['res_id']; ?>] = new Array("<?php echo $colors['color_0']; ?>","","<?php echo $colors['color_2']; ?>","<?php echo $colors['color_3']; ?>","<?php echo $colors['color_3s']; ?>","<?php echo $colors['color_4']; ?>");
        </script>
        <select name="status<?php echo $reservation['res_id']; ?>" style="<?php echo $selstyle;?>width:98%"<?php echo $DISPLAY_RADIO.($currres_isinarchive==true?' disabled':''); ?> onchange="this.style.backgroundColor = scolorbg[<?php echo $reservation['res_id']; ?>][this.value];">
          <option<?php echo $storno_disabled; ?> style="background-color: <?php echo $colors['color_0'].';color:'.setTextColor($colors['color_0']); ?>;" value="0"<?php echo ($reservation['status'] == 0?' selected="selected"':((empty($storno_disabled) AND $reservation['status']>3)?$DISABLE_CHANGE:'')).'>'.$CALTEXT['STORNO']; ?></option>
          <option style="background-color: <?php echo $colors['color_2'].';color:'.setTextColor($colors['color_2']); ?>;" value="2"<?php echo ($reservation['status'] == 2?' selected="selected"':(($reservation['status'] == 0 OR $reservation['status'] >= 3)?$DISABLE_CHANGE:'')).'>'.$CALTEXT['RES2']; ?></option>
          <option style="background-color: <?php echo $colors['color_3'].';color:'.setTextColor($colors['color_3']); ?>;" value="3"<?php echo ($reservation['status'] == 3?' selected="selected"':($reservation['status'] == 0?$DISABLE_CHANGE:'')).'>'.$CALTEXT['RES3']; ?></option>
          <option style="background-color: <?php echo $colors['color_3s'].';color:'.setTextColor($colors['color_3s']); ?>;" value="4"<?php echo ($reservation['status'] == 4?' selected="selected"':($reservation['status'] < 5?$DISABLE_CHANGE:'')).'>'.$CALTEXT['RES3s']; ?></option>
          <option style="background-color: <?php echo $colors['color_4'].';color:'.setTextColor($colors['color_4']); ?>;" value="5"<?php echo ($reservation['status'] == 5?' selected="selected"':($reservation['status'] < 5?$DISABLE_CHANGE:'')).'>'.$CALTEXT['RES4']; ?></option>
        </select>
      </td>
      <?php
      if(!$admin->get_permission('reservations_modify','system')){ // AND $admin->get_permission('reservations_view','system')){
       if($reservation['status']>3){ $disablebutton = 'hidden'; }else{ $disablebutton = 'button'; }
       $clicklink = ADMIN_URL.'/reservations/res_modify2.php?object_id='.$cal_object_id.ARGSO.'section_id='.$cal_section_id.ARGSO.'res_id='.$reservation['res_id'].$res_isarchive;
       echo '<td colspan="4"><input type="'.$disablebutton.'" style="width:98%" value="'.$TEXT['MODIFY'].'" onclick="window.location = \''.$clicklink.'\';" /></td>'."\n";
      }
      else{ ?>
      <td width="2%">
      <?php
        // Get the files this reservation
        $get_files = $datapdo->query("SELECT * FROM `".TABLE_PREFIX."res_files` WHERE `res_id`='".$reservation['res_id']."' ORDER BY `tpl` LIMIT 0,1");
        $find_files2 = 0;
        if($have_resbilling == true AND $admin->get_permission('resbilling')){
          $find_files2 = $datapdo->numRows($datapdo->query("SELECT `billing_id` FROM `".TABLE_PREFIX."resbilling_detail` WHERE `res_id`='".$reservation['res_id']."' LIMIT 0,1"));
        }
        if($datapdo->numRows($get_files)>0 AND $admin->get_permission('reservations_modify','system') OR $find_files2>0)
        { ?>
        <img src="<?php echo $theme_url.'/images/folder_16.png'; ?>" alt="<?php echo $TEXT['FILES']; ?>" border="0" onmouseover="show_dokus('<?php echo $reservation['res_id']; ?>');" />
        <div id="fb<?php echo $reservation['res_id']; ?>" class="formInfoBox fileInfoBox" style="margin: -10px 0px 0px -190px;min-width:200px;width:auto;" onclick="$('#fb<?php echo $reservation['res_id']; ?>').hide();">
        </div>
      <?php }else{ echo '&nbsp;'; } ?>
      </td>

      <td width="2%"><span class="<?php echo $DISPLAY_MOD; ?>">
        <?php
        $hiddendel = (empty($DISABLE_CHANGE)?false:true);
        if($reservation['res_end'] < $time31d){
          $delimg = 'deleted_16.png';
          $hiddendel = ((!empty($DISPLAY_OLD_DEL) AND $reservation['status'] > 0)?true:$hiddendel);
        ?>
        <img src="<?php echo ADMIN_URL; ?>/images/clock_del_16.png" alt="<?php echo $CALTEXT['BEFORE_NOW']; ?>" border="0" />
        <?php } else{
          if($reservation['status'] == 0){
            $clockimg = 'clock_red_16.png';
            $delimg = 'deleted_16.png';
          }
          else{
            $clockimg = ($reservation['res_end'] < time()?'clock_red_16.png':'clock_green_16.png');
            $delimg = 'delete_16.png';
            $hiddendel = (empty($DISABLE_CHANGE)?false:true);
          }
        ?>
        <a href="<?php echo ADMIN_URL; ?>/reservations/res_modify.php?object_id=<?php echo $cal_object_id.ARGSO; ?>section_id=<?php echo $cal_section_id.ARGSO; ?>res_id=<?php echo $reservation['res_id'].$res_isarchive; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
        <img src="<?php echo $theme_url.'/images/'.$clockimg; ?>" alt="<?php echo $TEXT['MODIFY']; ?>" title="<?php echo $TEXT['MODIFY']; ?>" border="0" />
        </a>
        <?php } ?>
      </td>
      <td width="2%" class="<?php echo ($obj_isbilling==true?'':'hide'); ?>">
        <?php
//        $get_billing = $datapdo->query("SELECT `bildetail_id` FROM `".TABLE_PREFIX."resbilling_detail` WHERE `object_id`='$cal_object_id' AND `res_id`='".$reservation['res_id']."' LIMIT 0,1");
//        if($datapdo->numRows()>0){
        $billingout = '&nbsp;';
        if($reservation['status']<4){
          if($find_files2>0){
            $billingout = '<div title="'.$TEXT['COMMISSION'].' '.$TEXT['COMMISSION_CALC'].'" style="width:12px;height:12px;background:green;border:1px solid green;border-radius:50%;display:block;"></div>';
          }
          else{
            $billingout = '<div title="'.$TEXT['COMMISSION'].' '.strtolower($CALTEXT['OPENPRICE']).'" style="width:12px;height:12px;background:red;border:1px solid red;border-radius:50%;display:block;"></div>';
          }
        }
        echo $billingout;
        ?>
      </td>
      <td width="2%"><span class="<?php echo ($hiddendel==true?'hide':$DISPLAY_DEL); ?>">
        <a href="javascript: confirm_link('<?php echo $TEXT['ARE_YOU_SURE'].' '.$MESSAGE['RESBILLING']['ALSO_DELETE']; ?>', '<?php echo ADMIN_URL; ?>/reservations/res_delete.php?object_id=<?php echo $cal_object_id.ARGSOJS; ?>section_id=<?php echo $cal_section_id.ARGSOJS; ?>res_id=<?php echo $reservation['res_id'].$res_isarchiveJS; ?>');">
        <img src="<?php echo $theme_url.'/images/'.$delimg; ?>" alt="<?php echo $TEXT['DELETE']; ?>" title="<?php echo $TEXT['DELETE']; ?>" border="0" />
        </a></span>
      </td>
      <td style="width:2%;text-align:center;">
        <?php
        if($com_yes == true OR $del_yes == true){
          $checkinbil=0;
          if($datapdo->numRows($datapdo->query("SHOW TABLES LIKE '".TABLE_PREFIX."resbilling_detail'"))>0){
            $checkinbil = $datapdo->numRows($datapdo->query("SELECT `res_id` FROM `".TABLE_PREFIX."resbilling_detail` WHERE `res_id`='".$reservation['res_id']."' AND `deleted`='0' LIMIT 0,1"));
          }
          $disablecom = ($checkinbil>0?' disabled':'');
          echo '<input'.$disablecom.' type="checkbox" class="resselector'.$cal_object_id.'" name="selectres_'.$reservation['object_id'].'['.$reservation['res_id'].']" />'."\n";
        }
        else{ echo '&nbsp;'; }
        ?>
      </td>
      <?php } ?>
      <td style="text-align:center;">
        <?php
        $imgcovid = 'red';
        $nextC = 'grey';
        $oldcovid = $reservation['covid'];
        $txtcovid = $CALTEXT['COVID0'];
        $boxmargin = '25';
        $coviddisabled = '';
        if($reservation['status'] > 0 AND $reservation['status'] < 4){
          switch ($covid){
            case 6:
              $imgcovid = 'green';
              $txtcovid = $CALTEXT['COVID3'];
              $nextC = 'green';
              $coviddisabled = ' disabled';
              break;
            case 5:
              $imgcovid = 'blue;cursor:pointer';
              $txtcovid = $CALTEXT['COVID2c'];
              $nextC = 'gray';
              break;
            case 4:
              $imgcovid = 'fuchsia;cursor:pointer';
              $txtcovid = $CALTEXT['COVID2b'];
              $nextC = 'blue';
              break;
            case 3:
              $imgcovid = 'aqua;cursor:pointer';
              $txtcovid = $CALTEXT['COVID2a'];
              $nextC = 'fuchsia';
              break;
            case 2:
              $imgcovid = 'yellow;cursor:pointer';
              $txtcovid = $CALTEXT['COVID2'];
              $nextC = 'aqua';
              break;
            case 1:
              $imgcovid = 'grey;cursor:pointer';
              $txtcovid = $CALTEXT['COVID1'];
              $boxmargin = '11';
              $nextC = 'yellow';
              break;
          }
          $txtcovid = entities_to_umlauts($txtcovid);
          echo '<input'.$coviddisabled.' type="button" id="covid'.$res_id.'" style="width:16px;height:16px;background:'.$imgcovid.';border:1px solid '.$imgcovid.';"'.(($oldcovid>0 AND $oldcovid<6)?' onclick="set_covid('.$res_id.',\''.$nextC.'\','.($oldcovid<5?$oldcovid+1:$oldcovid-1).','.($currres_isinarchive==true?1:0).');"':'').' title="'.$txtcovid.'" />';
          if($oldcovid==1){ $showbutton2 = 'button'; }else{ $showbutton2 = 'hidden'; }
          $txtcovid = $CALTEXT['COVID3'].'?';
          echo '<input type="'.$showbutton2.'" id="covid'.$res_id.'_2" style="margin-left:11px;width:16px;height:16px;background:grey;border:1px solid '.$imgcovid.';border-radius:50%;"'.($oldcovid==1?' onclick="set_covid('.$res_id.',\''.$nextC.'\',6);"':'').' title="'.$txtcovid.'" />';
        }
        else{ echo '&nbsp;'; }
        ?>
      </td>
    </tr>
    <?php
  if($row == 'a'){ $row = 'b'; } else{ $row = 'a'; }
  }
  echo '</table>';
  if($mod_yes){
    echo '<table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">';
    $statistice = ((isset($_SESSION['filter']['end']) AND !empty($_SESSION['filter']['end']))?$_SESSION['filter']['end']:$statistice);
    $rstatus_g = $rstatus_0+$rstatus_2+$rstatus_3+$rstatus_4+$rstatus_5;
    $rstatus_d = $rstatus_0d+$rstatus_2d+$rstatus_3d+$rstatus_4d+$rstatus_5d;
    $rstatus_p = $rstatus_0p+$rstatus_2p+$rstatus_3p+$rstatus_4p+$rstatus_5p;
    $rstatistic_g = $rstatus_0s+$rstatus_2s+$rstatus_3s+$rstatus_4s+$rstatus_5s;
    $prtdays = ($showdays==1?$TEXT['TERMIN_ANZ']:$TEXT['TERMIN_ANZN']);
    echo '<tr><td valign="top">'.$CALTEXT['BOOKED'].' ('.$TEXT['VIEW'].'):</td>';
    echo '<td'.($rstatus_0==0?' style="color:lightgray;"':"").'>'.$CALTEXT['STORNO'].'='.$rstatus_0.'<br />'.$rstatus_0d.' '.$prtdays.'<br />('.$rstatus_0p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td'.($rstatus_2==0?' style="color:lightgray;"':"").'>'.$CALTEXT['RES2'].'='.$rstatus_2.'<br />'.$rstatus_2d.' '.$prtdays.'<br />('.$rstatus_2p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td'.($rstatus_3==0?' style="color:lightgray;"':"").'>'.$CALTEXT['RES3'].'='.$rstatus_3.'<br />'.$rstatus_3d.' '.$prtdays.'<br />('.$rstatus_3p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td'.($rstatus_4==0?' style="color:lightgray;"':"").'>'.$CALTEXT['RES3s'].'='.$rstatus_4.'<br />'.$rstatus_4d.' '.$prtdays.'<br />('.$rstatus_4p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td'.($rstatus_5==0?' style="color:lightgray;"':"").'>'.$CALTEXT['RES4'].'='.$rstatus_5.'<br />'.$rstatus_5d.' '.$prtdays.'<br />('.$rstatus_5p.' '.$CALTEXT['PERSONS'].')</td>';
    echo '<td>'.$TEXT['TOTAL_SUM'].'='.$rstatus_g.'<br />'.$rstatus_d.' '.$prtdays.'<br />'.$rstatus_p.' '.$CALTEXT['PERSONS'].'</td></tr>';
    $prtstatdays = ($showdays==1?' '.$TEXT['TERMIN_ANZ']:'<br />'.$CALTEXT['ACCOUNT_NIGHTS']);
    echo '<tr style="font-weight:bold"><td valign="top">'.$CALTEXT['STATISTIC'].'<br />'.$statistics.' - '.$statistice.':</td>';
    echo '<td'.($rstatus_0==0?' style="color:lightgray;"':"").'>'.$rstatus_0s.$prtstatdays.'</td>';
    echo '<td'.($rstatus_2==0?' style="color:lightgray;"':"").'>'.$rstatus_2s.$prtstatdays.'</td>';
    echo '<td'.($rstatus_3==0?' style="color:lightgray;"':"").'>'.$rstatus_3s.$prtstatdays.'</td>';
    echo '<td'.($rstatus_4==0?' style="color:lightgray;"':"").'>'.$rstatus_4s.$prtstatdays.'</td>';
    echo '<td'.($rstatus_5==0?' style="color:lightgray;"':"").'>'.$rstatus_5s.$prtstatdays.'</td>';
    echo '<td>'.$rstatistic_g.$prtstatdays.'</td></tr></table>';
  }
}
else{
  echo '<table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">';
  echo '<tr><td width="100%">'.$TEXT['NONE_FOUND'].'</td></tr>';
  echo '</table>';
  $DISPLAY_MOD = 'hide';
  $DISPLAY_DEL = 'hide';
  $DISPLAY_COM = 'hide';
}
if($mod_yes){
?>
  <br />
<?php
include(ADMIN_PATH.'/reservations/info.inc.php');
?>
  <table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">
    <tr>
      <td width="20%">
        <input type="button" name="back" value="<?php echo $TEXT['BACK']; ?>" onclick="javascript: window.location = '<?php echo $backlink; ?>'" style="width: 99%;" />
      </td>
      <td width="20%">
        <input class="<?php echo $DISPLAY_ADD; ?>" type="button" name="add" value="<?php echo $TEXT['ADD']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/reservations/res_add.php?object_id=<?php echo $cal_object_id.ARGSOJS; ?>section_id=<?php echo $cal_section_id; ?>';" style="width: 99%;" />
      </td>
      <td width="20%">
        <input class="<?php echo $DISPLAY_MOD; ?>" type="submit" name="save" value="<?php echo $TEXT['SAVE']; ?>" style="width: 99%;" />
      </td>
      <td width="40%">
        <input type="submit" id="sermail<?php echo $cal_object_id; ?>" name="sermail" value="<?php echo $CALTEXT['SEND_SERMAIL']; ?>" style="width: 99%;" />
      </td>
    </tr>
    <tr id="com_button<?php echo $cal_object_id; ?>" class="hide">
      <td colspan="2" width="40%"><strong><?php echo $TEXT['SELECTED'].' '.$TEXT['RESERVATIONS']; ?>:</strong></td>
      <?php if($com_yes == true AND $DISPLAY_COM == ''){ ?>
      <td width="20%">
        <input class="<?php echo $DISPLAY_DEL; ?>" type="submit" name="delete" value="<?php echo $TEXT['DELETE']; ?>" style="width: 99%;" onclick="return confirm('<?php echo $TEXT['ARE_YOU_SURE'].' '.$MESSAGE['RESBILLING']['ALSO_DELETE']; ?>')" />
      </td>
      <td width="40%">
        <input id="gocommission<?php echo $cal_object_id; ?>" class="<?php echo $DISPLAY_COM; ?>" type="submit" name="gocommission" value="<?php echo $TEXT['RESBILLING']; ?>" style="width: 99%;" />
      </td>
      <?php }else{ ?>
      <td width="20%">&nbsp;</td><td width="40%">
        <input class="<?php echo $DISPLAY_DEL; ?>" type="submit" name="delete" value="<?php echo $TEXT['DELETE']; ?>" style="width: 99%;" onclick="return confirm('<?php echo $TEXT['ARE_YOU_SURE']; ?>')" />
      </td>
      <?php } ?>
    </tr>
  </table>
  </form>
  <?php if($firstdelyear>0){ ?>
  <form name="del_old" action="<?php echo ADMIN_URL; ?>/reservations/res_delete.php" method="post">
  <table cellpadding="5" cellspacing="0" border="0" align="center" width="100%">
    <tr id="alldel_<?php echo $cal_object_id; ?>" class="<?php echo $DISPLAY_OLD_DEL; ?>">
      <td width="60%">&nbsp;</td><td width="40%">
      <input name="sectors[]" type="hidden" value="<?php echo $cal_section_id; ?>" />
      <input name="objects[]" type="hidden" value="<?php echo $cal_object_id; ?>" />
      <?php
        echo '<input type="submit" name="del_old" value="'.$TEXT['TERMIN_DELETE_OLD'].'" style="width: 73%;" />';
        echo '&nbsp;'.$TEXT['TERMIN_END_TO'].'&nbsp;';
        $lastdelyear = date("Y",$time31d);
        echo '<input type="number" name="delyear" value="'.$firstdelyear.'" min="'.$firstdelyear.'" max="'.$lastdelyear.'" style="width: 15%;" />';
      ?>
      </td>
    </tr>
  </table>
  </form>
<?php }
/*
      <td colspan="3" width="63%">&nbsp;</td>
      <td width="37%">
        <input type="button" name="del_old" value="<?php echo $TEXT['TERMIN_DELETE_OLD']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/reservations/res_delete.php?object_id=<?php echo $cal_object_id.ARGSOJS; ?>section_id=<?php echo $cal_section_id; ?>';" style="width: 99%;" />
      </td>
    </tr>
  </table>
<?php } ?>
</form>
<?php
*/
}
echo '<script type="text/javascript">'."\n";
echo '$(document).ready(function(){'."\n";
echo '  if($(".resselector'.$cal_object_id.'").length){'."\n";
echo '    $(".resselector'.$cal_object_id.'").click(function(){'."\n";
echo '      if($(".resselector'.$cal_object_id.':checked").length > 0){'."\n";
echo '        $("#sermail'.$cal_object_id.'").val("'.entities_to_umlauts($CALTEXT['SEND_SERMAIL'].' ('.$TEXT['SELECTED'].')').'");'."\n";
echo '        $("#com_button'.$cal_object_id.'").show();'."\n";
if($DISPLAY_OLD_DEL == ''){
echo '          $("#alldel_'.$cal_object_id.'").hide();'."\n";
}
echo '      }'."\n";
echo '      else{'."\n";
echo '        $("#sermail'.$cal_object_id.'").val("'.entities_to_umlauts($CALTEXT['SEND_SERMAIL']).'");'."\n";
echo '        $("#com_button'.$cal_object_id.'").hide();'."\n";
if($DISPLAY_OLD_DEL == ''){
echo '        $("#alldel_'.$cal_object_id.'").show();'."\n";
}
echo '      }'."\n";
echo '    });'."\n";
echo '  }'."\n";
echo '});'."\n";
echo '</script>'."\n";
?>