<?php
/*                                                       */
/* submit_sendmail.php - Mailsender for reservation      */
/* $ID 185b - 2024-03-09 - brom $                        */
/*                                                       */
/* BROM CMS/BelCal Project  <http://www.brom-belcal.de> */
/*                                                       */
/* BROM CMS/BelCal is software you can redistribute it  */
/* under the terms the BROM CMS/BelCal license for free */
/* and modify scripts but without warranty. It is not    */
/* redistributable for payment.                          */
/*                                                       */
/* A distribution of payment will be provided            */
/* exclusively by BROM Service see website or send mail. */
/*                                                       */
/* (c) by BROM-Service 2008  (kontakt@brom-belcal.de)    */
/*                                                       */

require('../../config/config.php');
require_once(BC_PATH.'/lib/classes/class.admin.php');
require_once(BC_PATH.'/lib/functions.php');
$admin = new admin('Reservations', 'reservations_view','system');
if(!isset($_POST['object_id']) OR !is_numeric($_POST['object_id']) OR !isset($_POST['section_id']) OR !is_numeric($_POST['section_id']) OR !isset($_POST['res_id']) OR !is_numeric($_POST['res_id']) OR !isset($_POST['back']) OR !is_numeric($_POST['back'])){
  $admin->print_error($TEXT['ERROR']);
}
$error_back = ADMIN_URL.'/reservations/index.php';
$perm_true = false;
if($admin->get_permission('reservations_modify','system') OR ($admin->get_permission('reservations_view','system') AND $admin->get_permission('res_senddocs','system'))){
  $perm_true = true;
}
if($perm_true == false){ $admin->print_error($MESSAGE['ADMIN']['INSUFFICIENT_PRIVELLIGES'],$error_back); }
// Get the posted vars
$addoldbil=((isset($_POST['sendoldasattach']) AND $admin->get_post('sendoldasattach')==1)?true:false);
$object_id=$admin->get_post('object_id');
$section_id=$admin->get_post('section_id');
$res_id=$admin->get_post('res_id');
$isarchive = $admin->get_post('res_isarchive');
$res_table = ($isarchive == 1?'res_archive':'reservations');
$address_id=$admin->get_post('address_id');
$backid=$admin->get_post('back');
$tpl=$admin->get_post('tpl');
$ref_tpl=$admin->get_post('ref_tpl');
$bil_number=(($tpl==3 OR $tpl==4 OR $tpl==5 OR $ref_tpl==3 OR $ref_tpl==4 OR $ref_tpl==5)?$admin->get_post('bil_number'):'');
$email_to=$admin->get_post('email_to');
$can_send = ($email_to == ''?false:true);
$email_from=$admin->get_post('email_from');
$email_from_name=$admin->get_post('email_from_name');
$email_copy=($admin->get_post('email_copy')==1?true:false);
$subject=$admin->get_post('subject');
$content=$admin->get_post_escaped('content');
$pretext=$admin->get_post('pretext');
$save_pretext = umlauts_to_entities($pretext);
$send_type=strtoupper($admin->get_post('send_type'));
$file_name=$admin->get_post('file_name');
$file_name = media_filename($file_name);
$author = $admin->get_display_name();
$get_oldcovid = $datapdo->query("SELECT `covid`,`covidnotice` FROM `".TABLE_PREFIX.$res_table."` WHERE `res_id`='$res_id' LIMIT 1");
$oldcovid_arr = $datapdo->fetchRow($get_oldcovid);
$oldcovid = $oldcovid_arr['covid'];
$oldcovidtext = $oldcovid_arr['covidnotice'];
$savecovid = false;
$savereminder = false;
$reminder_price = 0;
$subtractpaid = 0;
// Get language from calendar
if(!file_exists(BC_PATH .'/modules/calendar/languages/'.LANGUAGE .'.php')) {
  // no module language file exists for the language set by the user, include default module language file EN.php
  require(BC_PATH .'/modules/calendar/languages/EN.php');
}
else {
  // a module language file exists for the language defined by the user, load it
  require(BC_PATH .'/modules/calendar/languages/'.LANGUAGE .'.php');
}
if(file_exists(BC_PATH .'/modules/calendar/languages/user_'.LANGUAGE .'.php')) {
  require(BC_PATH .'/modules/calendar/languages/user_'.LANGUAGE .'.php');
}
if(isset($_POST['covid'])){
  $savecovid = true;
  $covidtext = convert_date(DATE_FORMAT,time()).' - '.$CALTEXT['COVID1'].'\n'.$oldcovidtext;
  $covid = ($oldcovid<1?1:$oldcovid);
}
if(isset($_POST['reminderstatus'])){
  $reminderstatus = $admin->get_post_escaped('reminderstatus');
  if($reminderstatus > 0){
    $reminder_price =  $admin->get_post('reminder_price');
    $subtractpaid =  $admin->get_post('subtractpaid');
    $reminder_lastdate = time();
    $savereminder = true;
  }
}
$confirmReadSet = 0;
$confirmRead = '';
if(isset($_POST['confirmRead'])){
  $confirmReadSet = $admin->get_post_escaped('confirmRead');
  $confirmRead = ($confirmReadSet == 1?$email_from:'');
}
$curruser = $admin->get_user_id();
$currgroup = $admin->get_group_id();
$newviewer = true;
if($curruser == 1 OR $currgroup < 3){ $newviewer = false; }
// Set session vars for error back
$_SESSION['email_posted']=array('email_to'=>$email_to,
			       'email_from'=>$email_from,
			       'email_from_name'=>$email_from_name,
			       'subject'=>$subject,
			       'content'=>$content,
			       'pretext'=>$pretext,
			       'CONFIRMREAD'=>$confirmReadSet,
			       'send_type'=>$send_type);
// Set the back page
if($can_send==true){ $email_sendto = $email_to.($email_copy==true?','.$email_from:''); }
else{$email_sendto = ($email_copy==true?$email_from:''); }
switch ($backid){
  case 4:   // For back to reservation modify2
    $success_url = ADMIN_URL.'/finances/index.php?bilbook=1';
    break;
  case 3:   // For back to reservation modify2
    $success_url = ADMIN_URL.'/reservations/res_modify2.php?object_id='.$object_id.ARGSOJS.'section_id='.$section_id.ARGSOJS.'res_id='.$res_id.ARGSO.'res_isarchive='.$isarchive;
    break;
  case 2:   // For back to reservation modify
    $success_url = ADMIN_URL.'/reservations/res_modify.php?object_id='.$object_id.ARGSOJS.'section_id='.$section_id.ARGSOJS.'res_id='.$res_id.ARGSO.'res_isarchive='.$isarchive;
    break;
  case 1:   // For back to reservation list single object
    $success_url = ADMIN_URL.'/reservations/reservations.php?object_id='.$object_id.ARGSOJS.'section_id='.$section_id;
    break;
  case 0:
  default:   // For back to all reservations
    $success_url = ADMIN_URL.'/reservations/index.php';
    break;
}
$error_url = ADMIN_URL.'/reservations/mod_sendmail.php?res_id='.$res_id.ARGSO.'res_isarchive='.$isarchive.ARGSO.'tpl='.$tpl;
// Check email is correctly
if($can_send==true){
  if($email_to==NULL OR $email_to=='' OR !$admin->validate_email($email_to)
	 OR $email_from==NULL OR $email_from=='' OR !$admin->validate_email($email_from)){
    $admin->print_error($MESSAGE['MAILBOX']['SENDERROR'],$error_url);
  }
}
elseif($subject==NULL OR $subject=='' OR $content==NULL OR $content==''){
  $admin->print_error($MESSAGE['GENERIC']['FILL_IN_ALL'],$error_url);
}
// Check the mailtext has stringws for no address or no price
$error_fill = '';
if(strpos($content,$CALTEXT['PLEASE_ADDRESS'])){
  $error_fill .= $CALTEXT['PLEASE_ADDRESS'];
}
if($send_type == 'PDF' AND $can_send == true AND strpos($pretext,$CALTEXT['PLEASE_ADDRESS'])){
  $pretext = str_replacde($CALTEXT['PLEASE_ADDRESS'],SITE_TITLE,$pretext);
}
if(strpos($content,strtoupper($CALTEXT['TOTALPRICE']))
	 OR ($send_type == 'PDF' AND strpos($pretext,strtoupper($CALTEXT['TOTALPRICE'])))){
  $error_fill .= (!empty($error_fill)?' / ':'').strtoupper($CALTEXT['TOTALPRICE']);
}
if(strpos($content,strtoupper($CALTEXT['PRICE_PRE']))
	 OR ($send_type == 'PDF' AND strpos($pretext,strtoupper($CALTEXT['PRICE_PRE'])))){
  $error_fill .= (!empty($error_fill)?' / ':'').strtoupper($CALTEXT['PRICE_PRE']);
}
if(!empty($error_fill)){
  $admin->print_error($TEXT['ERROR'].': '.$error_fill,$error_url);
}
// Check the pretext is not html
if(!empty($file_name) OR isset($_POST['defattach'])){
  $file_path = BC_PATH.MEDIA_DIRECTORY.$_SESSION['HOME_FOLDER'].'/files/';
  @make_dir($file_path);
}
// Before sending remove all line breaks and replace internal links with correctly links
$content = preg_replace('/[\r\n]/', '',stripslashes($content));
$admin->preprocess($content,true);
// strip tags <a href has not orrectly url

//echo htmlspecialchars($content).'===>>';
$pat = '/<a.href\=\"[^(http)].[^>]+>(.*)<\/a>/mi';
$content = preg_replace($pat,'\1',$content);
//echo '<br /><br />'.htmlspecialchars($content);
//exit();
if($send_type == 'HTML'){
  // Replace relative image links with absolute links
  $pattern = '/src=\"[^(http)]/';
  $repl = 'src="'.BC_DOMAIN.'/';
  $content = preg_replace($pattern,$repl,$content);
  $pattern2 = "/(<\/p>|<\/h[0-9]>|<\/tr>|<\/td>|<\/table>)/mi";
  $repl2 = "\1\r\n";
//  $content = preg_replace($pattern2,$repl2,$content);
  // strip tags <a href="#">...</a>
}
else{
  // If we have sendtype PDF remove from src's the server domain
  $content = str_replace('src="http://'.$_SERVER['SERVER_NAME'].'/','src="/',$content);
}
// The default email is html
$email_body = '<html>'."\n";
$email_body .= '<head><title>'.$subject.'</title>'."\n";
if(defined('WYSIWYG_EDITOR') && (WYSIWYG_EDITOR=='ckeditor' OR WYSIWYG_EDITOR=='ckeditor4')){
  $email_body .= '<link type="text/css" rel=stylesheet href="'.BC_URL.'/modules/'.WYSIWYG_EDITOR.'/bc_config/default/editor.css">'."\n";
}
$email_body .= '</head>'."\n".'<body>'."\n".'<div style="width:700px">'."\n".$content."\n".'</div>'."\n".'</body>'."\n".'</html>';
$email_format = 'HTML';
$addtobody = '<body onload="javascript:window.print()">';
$print_body = preg_replace('#\<body\>#',$addtobody,$email_body);
// Save content as file for print
$tmpfile = BC_PATH.'/temp/print-'.$res_id.'-'.$tpl.'.html';
$fp = fopen($tmpfile,'w');
if(FALSE === fwrite($fp,$print_body)){
  $admin->print_error($TEXT['PRINT'].'-'.$TEXT['ERROR'],$error_url);
}
fclose($fp);
$openfile = str_replace(BC_PATH,BC_URL,$tmpfile);
$attachfile = NULL;
$attachment = array();
$error_pdf = '';
if($send_type == 'PDF' AND file_exists(BC_PATH.'/lib/include/html2pdf/html2pdf_func.php') AND isset($file_path) AND !empty($file_path) AND !empty($file_name)){
  include_once(BC_PATH.'/lib/include/html2pdf/html2pdf_func.php');
  $attachfile = @built_pdf_file($content,$file_path,$file_name,$subject,$author);
  $openfile = str_replace(BC_PATH,BC_URL,$file_path).$file_name;
  if(NULL === $attachfile){
    $_SESSION['email_posted']['send_type']='HTML';
    $email_format = 'HTML';
    $email_body = $content;
    $error_pdf = 'PDF '.$TEXT['FILE'].': '.$MESSAGE['OBJECTS']['CANNOT_REORDER'];
  }
  else{
    $attachment[] = array($attachfile,$file_name);
    $email_body = $pretext;
//  $email_body = '<html><body><p>'.nl2br($pretext).'</p></body></html>';
    $email_format = 'TEXT';
  }
}
else{
  $email_format = 'HTML';
  $email_body = $content;
  $_SESSION['email_posted']['send_type']='HTML';
//  $error_pdf = 'PDF '.$TEXT['FILE'].': '.$MESSAGE['OBJECTS']['CANNOT_REORDER'];
}
if($email_format == 'HTML'){ $save_pretext = ''; }
$add_to_html = '';
if($addoldbil==true){
  // Get old bil
  $get_old_bil = $datapdo->query("SELECT * FROM `".TABLE_PREFIX."res_files` WHERE `res_id`='$res_id' AND `tpl`='3' AND `canceled`='0' ORDER BY `rfile_id` DESC LIMIT 0,1");
  if($datapdo->numRows($get_old_bil)>0){
    $cfile_path = BC_PATH.MEDIA_DIRECTORY.$_SESSION['HOME_FOLDER'].'/files/';
    @make_dir($cfile_path);
    $old_bil = $datapdo->fetchRow($get_old_bil);
    $old_bilnumber = $old_bil['bil_number'];
    $old_savedate = $old_bil['savedate'];
    $replace_array = array('[OLDBILNUMBER]','[OLDDATE]');
    $values_array = array($old_bilnumber,convert_date(DATE_FORMAT,$old_savedate));
    if($send_type == 'PDF' AND file_exists(BC_PATH.'/lib/include/html2pdf/html2pdf_func.php')){
      $cfile_name = 'canceled_rg'.media_filename($old_bilnumber).'.pdf';
      $cauthor = $old_bil['author'];
      $ctitle = $old_bil['title'];
      $ccontent = $old_bil['content'];
      $watermark = true;
      $attachfile = @built_pdf_file($ccontent,$cfile_path,$cfile_name,$ctitle,$cauthor,'F','P',false,false,false,'',0,$watermark);
      if(NULL !== $attachfile){
        $attachment[] = array($attachfile,$cfile_name);
      }
    }
    $add_to_html = chr(13).chr(13).'<p>PS: <b>'.str_replace($replace_array,$values_array,$CALTEXT['CANCELED_OLDBIL_INFO']).'</b></p>';
  }
}
$email_body .= $add_to_html;
$attForSave = '';
if(isset($_POST['defattach'])){
  $defattach = $admin->get_post('defattach');
  foreach($defattach AS $attId => $attV){
    if($attV == 1){
      $attForSave .= ($attForSave != ''?'|':'').$attId;
      $get_f = $datapdo->query("SELECT `filename`,`attach` FROM `".TABLE_PREFIX."res_attachments` WHERE `attachment_id`='$attId' LIMIT 1");
      // save the file
      $f = $datapdo->fetchRow($get_f);
      $filename = $f['filename'];
      $attachfile = $file_path.$filename;
      $fcontent = base64_decode($f['attach']);
      $handle = fopen($attachfile, 'wb');
      fwrite($handle, $fcontent);
      fclose($handle);
      $attachment[] = array($attachfile,$filename);
    }
    elseif($attV == 2){
      $datapdo->query("DELETE FROM `".TABLE_PREFIX."res_attachments` WHERE `attachment_id`='$attId' LIMIT 1");
    }
  }
}
$file_temp = '';
if(isset($_FILES['attach']['tmp_name']) AND $_FILES['attach']['tmp_name'] != ''){
  $attfilename = $_FILES['attach']['name'];
  // Be shure the attachment folder exists
  @make_dir(BC_PATH.'/temp/attachment');
  $file_temp = BC_PATH.'/temp/attachment/'.$attfilename;
  if(move_uploaded_file($_FILES['attach']['tmp_name'], $file_temp)){
    $attachment[] = array($file_temp,$attfilename);
    if($admin->get_post('attach_new')==1){
      // Save this as new default
      $handle = fopen($file_temp,"r");
      $newcontents = fread($handle, filesize($file_temp));
      fclose($handle);
      $bas64content = base64_encode($newcontents);
      $datapdo->query("INSERT INTO `".TABLE_PREFIX."res_attachments` (`object_id`,`section_id`,`filename`,`tpl`,`attach`) VALUE"
			      ." ('$object_id','$section_id','$attfilename','$tpl','$bas64content')");
      $attForSave .= ($attForSave != ''?'|':'').$datapdo->get_one("SELECT LAST_INSERT_ID()");
    }
  }
  else{
    $admin->print_error($TEXT['ERROR'].': '.$TEXT['EMAIL_ATTACHMENT'].'<br />'.$MESSAGE['GENERIC']['CANNOT_UPLOAD'],$error_url);
  }
}

$success = false;
$success_copy = false;
$must_print = false;
$saveresult = true;
if($email_sendto != ''){
  $get_mbox = $datapdo->query("SELECT * FROM `".TABLE_PREFIX."mailboxes` WHERE `user_id`='".$admin->get_user_id()."' ORDER BY `mailbox_id` LIMIT 0,1");
  if($datapdo->numRows($get_mbox)==0){
    $get_mbox = $datapdo->query("SELECT * FROM `".TABLE_PREFIX."mailboxes` WHERE `user_id`='1' ORDER BY `mailbox_id` LIMIT 0,1");
  }
  if($datapdo->numRows($get_mbox)>0){
    require_once(BC_PATH.'/lib/functions.php');
    $box = $datapdo->fetchRow($get_mbox);
    $mailbox = $box['position']-1;
    $pass = $admin->get_cryption($box['password'],$box['imapuser'],true);
    require_once(BC_PATH.'/lib/classes/class.imap.php');
    $imap = new imap($box['imapserver'],$box['imapport'],$box['imapuser'],$pass,$box['imaptype'],$box['sentfolder']);
    if(!$imap){ $saveresult = false; }
  }
  else{ $saveresult = false; }
  $success = $admin->mail($email_from,$email_sendto,$subject,$email_body,$email_from_name,$email_format,$attachment,$saveresult,$confirmRead);
  if($success == false){
    $success = $admin->mail(SERVER_EMAIL,$email_sendto,$subject,$email_body,$email_from_name,$email_format,$attachment,$saveresult,$confirmRead);
  }
  if($success == false){
    $admin->print_error($TEXT['ERROR'].': '.$email_to,$error_url);
  }
  else{
    if($saveresult == true){
      $insent = $imap->saveMailMsgInSent($success);
      $imap = NULL;
    }
  }
}
if($can_send==false){
  $must_print = true;
  $success = true;
}
if($success == true){
  // Set all older bills to canceled
  if($tpl==3 OR $ref_tpl==3){
    $datapdo->query("UPDATE `".TABLE_PREFIX."res_files` SET `canceled`='1' WHERE `res_id`='$res_id' AND `tpl`='3'");
  }
  if($tpl==5 OR $ref_tpl==5){
    // Cancel the last bil
    $get_lastbil = $datapdo->query("SELECT `rfile_id` FROM `".TABLE_PREFIX."res_files` WHERE `res_id`='$res_id' AND `tpl`='3' AND `canceled`='0' ORDER BY `rfile_id` DESC LIMIT 0,1");
    if($datapdo->numRows($get_lastbil)>0){
      $lastbil = $datapdo->fetchRow($get_lastbil);
      $datapdo->query("UPDATE `".TABLE_PREFIX."res_files` SET `canceled`='1' WHERE `rfile_id`='".$lastbil['rfile_id']."' AND `tpl`='3'");
    }
  }
  $set_user = ",`modified_by`='".$curruser."',`modified_when`='".time()."'";
  // Insert the content into DB
  $tpl = (($ref_tpl>0 AND $tpl != $ref_tpl)?$ref_tpl:$tpl);
  $def_viewusers = '1,g1,g2';
  $datapdo->query("INSERT INTO `".TABLE_PREFIX."res_files` (`object_id`,`section_id`,`address_id`,`res_id`,`bil_number`,`author`,`title`,`content`,`tpl`,`savedate`,`canceled`,`email`,`attachments`,`save_pretext`,`view_users`) VALUES ('$object_id','$section_id','$address_id','$res_id','$bil_number','$author','".umlauts_to_entities($subject)."','$content','$tpl','".time()."','0','$email_sendto','$attForSave','$save_pretext','$def_viewusers')");
  $rfile_id = $datapdo->get_one("SELECT LAST_INSERT_ID()");
  if($savecovid == true){
    $datapdo->query("UPDATE `".TABLE_PREFIX.$res_table."` SET `covid`='$covid',`covidnotice`='".$covidtext."'".$set_user." WHERE `res_id`='$res_id' LIMIT 1");
  }
  if($savereminder == true){
    $datapdo->query("INSERT INTO `".TABLE_PREFIX."res_reminder` (`object_id`,`section_id`,`res_id`,`lastdate`,`reminder_price`,`reminderstatus`) VALUES ('$object_id','$section_id','$res_id','$reminder_lastdate','$reminder_price','$reminderstatus')");
    if($subtractpaid > 0){
      $datapdo->query("UPDATE `".TABLE_PREFIX."res_price_calc` SET `paid_price`='(paid_price-".$subtractpaid.")' WHERE `res_id`='$res_id' LIMIT 1");
    }
  }
  if($newviewer == true){
    $get_views = $datapdo->get_one("SELECT `view_users` FROM `".TABLE_PREFIX."res_files` WHERE `rfile_id`='$rfile_id' LIMIT 1");
    $viewers = explode(',',$get_views);
    if(!is_numeric(array_search($curruser,$viewers))){
      $addcurr = $get_views.','.$curruser;
      $datapdo->query("UPDATE `".TABLE_PREFIX."res_files` SET `view_users`='$addcurr' WHERE `rfile_id`='$rfile_id' LIMIT 1");
    }
  }
  if($datapdo->is_error()){ $admin->print_error($TEXT['ERROR'].': '.$datapdo->get_error(),$error_url); }
  // unset the session vars
  unset($_SESSION['email_posted']);
  // Save the content into db
  if($can_send == true){
    if(isset($_SESSION['bil_number'])){ unset($_SESSION['bil_number']); }
    $admin->print_success($TEXT['SUCCESS'].($error_pdf!=''?'<br />'.$error_pdf:''),$success_url);
  }
  else{
    if($must_print == true){
      if(file_exists(BC_PATH.'/lib/winopen.inc.php')){ include(BC_PATH.'/lib/winopen.inc.php');
        echo '<script type="text/javascript">'."\n";
        echo '$(document).ready(function(){ openWin("'.$openfile.'","'.$subject.'"); });'."\n";
        echo '</script>'."\n";
      }
      else{
        $admin->print_error($TEXT['PRINT'].'-'.$TEXT['ERROR'].($error_pdf!=''?'<br />'.$error_pdf:''),$error_url);
      }
      if(isset($_SESSION['bil_number'])){ unset($_SESSION['bil_number']); }
      $admin->print_error($TEXT['SUCCESS'].($error_pdf!=''?'<br />'.$error_pdf:''),$success_url);
    }
  }
}
else{ $admin->print_error($TEXT['ERROR'].($error_pdf!=''?': '.$error_pdf:''),$error_url); }
$admin->print_footer();
?>